/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.ArrayList;
import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 客户自注册客户组查询应答.xml
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB10202 extends BaseWebTraderField{
	/**
	 * 客户组ID
	 */
	int groupId;
	/**
	 * 客户组名称
	 */
	String groupName = "";
	/**
	 * 入金货币
	 */
	String currCode = "";
	/**
	 * 默认入金
	 */
	double initialMoney;
	
	List<MB10202> regCustGroups = new ArrayList<MB10202>();
	
	@Override
	protected void readCommandBody() {
		int size = readShort();
		for(int i=0; i<size; i++){
			MB10202 group = new MB10202();
			group.setGroupId(readInt());
			group.setGroupName(readString());
			group.setCurrCode(readString());
			group.setInitialMoney(readFloatD());
			regCustGroups.add(group);
		}
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P10202;
	}

	public int getGroupId() {
		return groupId;
	}

	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public String getCurrCode() {
		return currCode;
	}

	public void setCurrCode(String currCode) {
		this.currCode = currCode;
	}

	public double getInitialMoney() {
		return initialMoney;
	}

	public void setInitialMoney(double initialMoney) {
		this.initialMoney = initialMoney;
	}

	public List<MB10202> getRegCustGroups() {
		return regCustGroups;
	}

	public void setRegCustGroups(List<MB10202> regCustGroups) {
		this.regCustGroups = regCustGroups;
	}
}
