/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.QuotoPost;

/**
 * 点线图请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB12011 extends BaseWebTraderField{
	
	QuotoPost quotoPost = new QuotoPost();
	
	
	public MB12011(QuotoPost quotoPost){
		this.quotoPost = quotoPost;
	}
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeString(quotoPost.getSymbolCode());
		writeInt(quotoPost.getStyle());
		writeLong(quotoPost.getTime());
		writeShort(quotoPost.getOffset());
	}

	public int getCommandCode() {
		return PidConst.P12011;
	}

	public QuotoPost getQuotoPost() {
		return quotoPost;
	}

	public void setQuotoPost(QuotoPost quotoPost) {
		this.quotoPost = quotoPost;
	}
}
