package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 客户组查询请求
 * @author S鬼
 */
public class MB13071 extends BaseWebTraderField {
	private int queryId;
	
	public MB13071(int queryId) {
		super();
		this.queryId = queryId;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeShort((short)queryId);
	}

	@Override
	public int getCommandCode() {
		return PidConst.P13071;
	}

}
