/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 交易商品查询请求
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB13091 extends BaseWebTraderField{
	/**
	 * 客户组ID
	 */
	int groupId;
	/**
	 * 客户ID
	 */
	int custId;
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(groupId);	//list 长度
		writeInt(0);	//list 长度
		writeInt(custId);	//list 长度
	}

	public int getCustId() {
		return custId;
	}

	public void setCustId(int custId) {
		this.custId = custId;
	}

	public int getGroupId() {
		return groupId;
	}

	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}

	public int getCommandCode() {
		return PidConst.P13091;
	}

	public MB13091(int groupId, int custId) {
		super();
		this.groupId = groupId;
		this.custId = custId;
	}
}
