/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.QueryType;

/**
 * 客户信息查询请求
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB13101 extends BaseWebTraderField{
	/**
	 * 客户ID
	 */
	int custId;
	
	int queryType;
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeShort((short)1);	//list 长度
		QueryType qt = new QueryType(queryType, ""+custId);
		writeQueryType(qt);
	}

	public int getCommandCode() {
		return PidConst.P13101;
	}

	public int getCustId() {
		return custId;
	}

	public void setCustId(int custId) {
		this.custId = custId;
	}

	public int getQueryType() {
		return queryType;
	}

	public void setQueryType(int queryType) {
		this.queryType = queryType;
	}

	public MB13101() {
		super();
	}

	public MB13101(int custId) {
		super();
		this.custId = custId;
		this.queryType = 1;
	}
	
	public MB13101(int queryType, int custId){
		super();
		this.custId = custId;
		this.queryType = queryType;
	}
}
