/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 商品交易控制查询请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB13451 extends BaseWebTraderField{

	/**
	 * 商品ID列表
	 */
	List<Integer> idList;
	
	public MB13451() {
		super();
	}

	public MB13451(List<Integer> idList) {
		this.idList = idList;
	}
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeShort((short)idList.size());
		for(int i=0; i<idList.size(); i++){
			writeInt(idList.get(i));
		}
	}

	@Override
	public int getCommandCode() {
		return PidConst.P13451;
	}

	public List<Integer> getIdList() {
		return idList;
	}

	public void setIdList(List<Integer> idList) {
		this.idList = idList;
	}
	
}
