package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 操作明细查询请求
 * 
 * @author juyafeng
 * @date: 2014-3-12 下午06:08:19
 * @since skyfall v2.0
 */
public class MB13531 extends BaseWebTraderField {
	long startseq;
	
	public MB13531(long startseq) {
		this.startseq = startseq;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeLong(startseq);
	}

	@Override
	public int getCommandCode() {
		return PidConst.P13531;
	}

}
