package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 操作明细通知的订阅开关
 * 
 * @author juyafeng
 * @date: 2014-3-19 下午03:38:17
 * @since skyfall v2.0
 */
public class MB13541 extends BaseWebTraderField {
	boolean switchFlag;
	
	public MB13541(boolean switchFlag) {
		super();
		this.switchFlag = switchFlag;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeBoolean(switchFlag);
	}

	@Override
	public int getCommandCode() {
		return PidConst.P13541;
	}

}
