package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.TradeOrders;

public class MB13672 extends BaseWebTraderField{

	int rtnCode;
	
	int count;
	
	int size;
	/**
	 * 单子ID
	 * */
	int orderId;
	/**
	 * 手数
	 * */
	double lots;
	/**
	 * 客户id
	 * */
	int accntId;
	
	double close_prc;
	
	double draft_prc;
	
	double loss_prc;
	
	double open_prc;
	
	double profit_loss;
	
	double profit_prc;
	
	int order_status;
	
	int order_type;
	
	int smbl_id;
	
	long open_time;
	
	long close_time;
	
	List<TradeOrders> tradeList;
	@Override
	public int getCommandCode() {
		return PidConst.P13672;
	}

	@Override
	protected void readCommandBody() {
		tradeList = new ArrayList<TradeOrders>();
		rtnCode = readInt();
		count = readInt();
		size = readInt();
		for(int i=0;i<size;i++){
			TradeOrders order = new TradeOrders();
			order.setId(readInt());
			order.setAccnt_id(readInt());
			order.setLots(readDouble());
			order.setClose_prc(readDouble());
			order.setDraft_prc(readDouble());
			order.setLoss_prc(readDouble());
			order.setOpen_prc(readDouble());
			order.setProfit_loss(readDouble());
			order.setProfit_prc(readDouble());
			order.setOrder_status(readInt());
			order.setOrder_type(readInt());
			order.setSmbl_id(readInt());
			order.setOpen_time(new Date(readLong()));
			order.setClose_time(new Date(readLong()));
			order.setClose_type(readInt());
			tradeList.add(order);
		}
	}

	@Override
	protected void writeCommandBody() {
		
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}

	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public double getLots() {
		return lots;
	}

	public void setLots(double lots) {
		this.lots = lots;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public double getClose_prc() {
		return close_prc;
	}

	public void setClose_prc(double close_prc) {
		this.close_prc = close_prc;
	}

	public double getDraft_prc() {
		return draft_prc;
	}

	public void setDraft_prc(double draft_prc) {
		this.draft_prc = draft_prc;
	}

	public double getLoss_prc() {
		return loss_prc;
	}

	public void setLoss_prc(double loss_prc) {
		this.loss_prc = loss_prc;
	}

	public double getOpen_prc() {
		return open_prc;
	}

	public void setOpen_prc(double open_prc) {
		this.open_prc = open_prc;
	}

	public double getProfit_loss() {
		return profit_loss;
	}

	public void setProfit_loss(double profit_loss) {
		this.profit_loss = profit_loss;
	}

	public double getProfit_prc() {
		return profit_prc;
	}

	public void setProfit_prc(double profit_prc) {
		this.profit_prc = profit_prc;
	}

	public int getOrder_status() {
		return order_status;
	}

	public void setOrder_status(int order_status) {
		this.order_status = order_status;
	}

	public int getOrder_type() {
		return order_type;
	}

	public void setOrder_type(int order_type) {
		this.order_type = order_type;
	}

	public int getSmbl_id() {
		return smbl_id;
	}

	public void setSmbl_id(int smbl_id) {
		this.smbl_id = smbl_id;
	}

	public long getOpen_time() {
		return open_time;
	}

	public void setOpen_time(long open_time) {
		this.open_time = open_time;
	}

	public long getClose_time() {
		return close_time;
	}

	public void setClose_time(long close_time) {
		this.close_time = close_time;
	}

	public List<TradeOrders> getTradeList() {
		return tradeList;
	}

	public void setTradeList(List<TradeOrders> tradeList) {
		this.tradeList = tradeList;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}
	
}
