/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 修改自己的密码
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB15301 extends BaseWebTraderField{
	/**
	 * 客户ID
	 */
	int custId;
	/**
	 * 原密码
	 */
	String oldPwd;
	/**
	 * 新密码
	 */
	String newPwd;
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(custId);
		writeString(oldPwd);
		writeString(newPwd);
	}

	public int getCommandCode() {
		return PidConst.P15301;
	}

	public int getCustId() {
		return custId;
	}

	public void setCustId(int custId) {
		this.custId = custId;
	}

	public String getNewPwd() {
		return newPwd;
	}

	public void setNewPwd(String newPwd) {
		this.newPwd = newPwd;
	}

	public String getOldPwd() {
		return oldPwd;
	}

	public void setOldPwd(String oldPwd) {
		this.oldPwd = oldPwd;
	}

	public MB15301(int custId, String oldPwd, String newPwd) {
		super();
		this.custId = custId;
		this.oldPwd = oldPwd;
		this.newPwd = newPwd;
	}
}
