/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 与平请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB20131 extends BaseWebTraderField{
	/**
	 * 请求ID
	 */
	int askId;
	/**
	 * 账户ID
	 */
	int accntId;
	/**
	 * 商品ID
	 */
	int symbolId;
	/**
	 * 对应单号1
	 */
	int orderId1;
	/**
	 * 对应单号2
	 */
	int orderId2;
	
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(askId);
		writeInt(accntId);
		writeInt(symbolId);
		writeShort((short)2);		//与平必定两个单号
		writeInt(orderId1);
		writeInt(orderId2);
	}

	public int getCommandCode() {
		return PidConst.P20131;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public int getAskId() {
		return askId;
	}

	public void setAskId(int askId) {
		this.askId = askId;
	}

	public int getOrderId1() {
		return orderId1;
	}

	public void setOrderId1(int orderId1) {
		this.orderId1 = orderId1;
	}

	public int getOrderId2() {
		return orderId2;
	}

	public void setOrderId2(int orderId2) {
		this.orderId2 = orderId2;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public MB20131() {
		super();
	}

	public MB20131(int askId, int accntId, int symbolId, int orderId1, int orderId2) {
		super();
		this.askId = askId;
		this.accntId = accntId;
		this.symbolId = symbolId;
		this.orderId1 = orderId1;
		this.orderId2 = orderId2;
	}
}
