/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 对平请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB20141 extends BaseWebTraderField{
	/**
	 * 请求ID
	 */
	int askId;
	/**
	 * 账户ID
	 */
	int accntId;
	/**
	 * 商品ID
	 */
	int symbolId;
	
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(askId);
		writeInt(accntId);
		writeInt(symbolId);
	}

	public int getCommandCode() {
		return PidConst.P20141;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public int getAskId() {
		return askId;
	}

	public void setAskId(int askId) {
		this.askId = askId;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public MB20141() {
		super();
	}

	public MB20141(int askId, int accntId, int symbolId) {
		super();
		this.askId = askId;
		this.accntId = accntId;
		this.symbolId = symbolId;
	}
}
