/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.HashMap;
import java.util.Map;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 隔夜通知
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB20223 extends BaseWebTraderField{
	/**
	 * 隔夜费用通知
	 */
	Map<String, MB20223> overNightNotices = new HashMap<String, MB20223>();
	
	@Override
	protected void readCommandBody() {
		int size = readShort();

		for(int i=0; i<size; i++){
			MB20223 onn = new MB20223();
			onn.setAccntId(readInt());
			onn.setSymbolId(readInt());
			onn.setBuyOverNight(readFloatD());
			onn.setSellOverNight(readFloatD());
			overNightNotices.put(getAccntId() + ":" + getSymbolId(), onn);
		}
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P20223;
	}

	int accntId;
	int symbolId;
	double buyOverNight;
	double sellOverNight;

	public Map<String, MB20223> getOverNightNotices() {
		return overNightNotices;
	}

	public void setOverNightNotices(Map<String, MB20223> overNightNotices) {
		this.overNightNotices = overNightNotices;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public double getBuyOverNight() {
		return buyOverNight;
	}

	public void setBuyOverNight(double buyOverNight) {
		this.buyOverNight = buyOverNight;
	}

	public double getSellOverNight() {
		return sellOverNight;
	}

	public void setSellOverNight(double sellOverNight) {
		this.sellOverNight = sellOverNight;
	}
}
