package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB23092 extends BaseWebTraderField {

	private int custId;
	private int accntId;
	private int reqId;
	private int status;
	
	private int rtnCode;

	// private String status;
	@Override
	public int getCommandCode() {
		return TidConst.T23091;
	}

	@Override
	protected void readCommandBody() {
		rtnCode = readInt();
		reqId = readInt();
		custId = readInt();
		accntId = readInt();
		status = readInt();
	}

	@Override
	protected void writeCommandBody() {

	}

	public int getCustId() {
		return custId;
	}

	public void setCustId(int custId) {
		this.custId = custId;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public int getReqId() {
		return reqId;
	}

	public void setReqId(int reqId) {
		this.reqId = reqId;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

	public MB23092() {
		super();
	}

	@Override
	public String toString() {
		return "MB23092 [custId=" + custId + ", accntId=" + accntId + ", reqId=" + reqId + ", status=" + status + "]";
	}

}
