package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB23301 extends BaseWebTraderField{

	private int CngoldId;
	private int reqId;
	private String serialNum;

	@Override
	public int getCommandCode() {
		return TidConst.T23301;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(CngoldId);
		writeInt(reqId);
		writeString(serialNum);
	}


	public int getCngoldId() {
		return CngoldId;
	}

	public void setCngoldId(int cngoldId) {
		CngoldId = cngoldId;
	}

	public int getReqId() {
		return reqId;
	}

	public void setReqId(int reqId) {
		this.reqId = reqId;
	}

	public String getSerialNum() {
		return serialNum;
	}

	public void setSerialNum(String serialNum) {
		this.serialNum = serialNum;
	}

	public MB23301() {
		super();
	}

	public MB23301(int cngoldId, int reqId, String serialNum) {
		super();
		this.CngoldId = cngoldId;
		this.reqId = reqId;
		this.serialNum = serialNum;
	}

}
