package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 查询金元券类型
 * created at 2016/10/26 18:27
 * @author vncnliu
 * @since default 1.0.0
 */

public class MB26021 extends BaseWebTraderField {

	private int id;
	/**
	 * 券类型
	 */
	private short biz_type;
	/**
	 * 删除标识
	 */
	private byte delete_flag;

	@Override
	protected void readCommandBody() {

	}

	@Override
	protected void writeCommandBody() {
		writeInt(id);
		writeShort(biz_type);
		writeByte(delete_flag);
	}

	public int getCommandCode() {
		return CommonTidConst.T26021;
	}

	public short getBiz_type() {
		return biz_type;
	}

	public void setBiz_type(short biz_type) {
		this.biz_type = biz_type;
	}

	public byte getDelete_flag() {
		return delete_flag;
	}

	public void setDelete_flag(byte delete_flag) {
		this.delete_flag = delete_flag;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
}
