package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB26100 extends BaseWebTraderField{

	int userType;
	int userId;
	int voucher_type;
	int amount;
	long timeStamp;
	int cngoldId;
	
	@Override
	public int getCommandCode() {
		return PidConst.P26100;
	}

	@Override
	protected void readCommandBody() {
		userType = readInt();
		userId = readInt();
		voucher_type = readInt();
		amount = readInt();
		timeStamp = readLong();
		cngoldId = readInt();
	}

	@Override
	protected void writeCommandBody() {
		
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public int getVoucher_type() {
		return voucher_type;
	}

	public void setVoucher_type(int voucher_type) {
		this.voucher_type = voucher_type;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public long getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(long timeStamp) {
		this.timeStamp = timeStamp;
	}

	public int getCngoldId() {
		return cngoldId;
	}

	public void setCngoldId(int cngoldId) {
		this.cngoldId = cngoldId;
	}
 
}
