package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB26201 extends BaseWebTraderField{

	/**
	 * id
	 */
	private int voucher_id;
	/**
	 * 类型
	 */
	private int voucher_type_id;
	/**
	 * 状态
	 */
	private String status;
	/**
	 * 所属用户cngold_id
	 */
	private int cngold_id;
	/**
	 * 来源id
	 */
	private int voucher_source_id;
	/**
	 * 起始创建时间
	 */
	private long create_at$begin;
	/**
	 * 结束创建时间
	 */
	private long create_at$end;
	/**
	 * 开始过期时间
	 */
	private long expire_time$begin;
	/**
	 * 结束过期时间
	 */
	private long expire_time$end;
	/**
	 * 返回结果起始条数
	 */
	private int begin;
	/**
	 * 返回条数
	 */
	private int limit;
	/**
	 * 排序字段
	 */
	private String orderBy;


	@Override
	protected void readCommandBody() {

	}

	@Override
	protected void writeCommandBody() {
		writeInt(voucher_id);
		writeInt(voucher_type_id);
		writeString(status);
		writeInt(cngold_id);
		writeInt(voucher_source_id);
		writeLong(create_at$begin);
		writeLong(create_at$end);
		writeLong(expire_time$begin);
		writeLong(expire_time$end);
		writeInt(begin);
		writeInt(limit);
		writeString(orderBy);
	}

	public int getCommandCode() {
		return CommonTidConst.T26201;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public int getVoucher_id() {
		return voucher_id;
	}

	public void setVoucher_id(int voucher_id) {
		this.voucher_id = voucher_id;
	}

	public int getVoucher_type_id() {
		return voucher_type_id;
	}

	public void setVoucher_type_id(int voucher_type_id) {
		this.voucher_type_id = voucher_type_id;
	}

	public int getCngold_id() {
		return cngold_id;
	}

	public void setCngold_id(int cngold_id) {
		this.cngold_id = cngold_id;
	}

	public int getVoucher_source_id() {
		return voucher_source_id;
	}

	public void setVoucher_source_id(int voucher_source_id) {
		this.voucher_source_id = voucher_source_id;
	}

	public long getCreate_at$begin() {
		return create_at$begin;
	}

	public void setCreate_at$begin(long create_at$begin) {
		this.create_at$begin = create_at$begin;
	}

	public long getCreate_at$end() {
		return create_at$end;
	}

	public void setCreate_at$end(long create_at$end) {
		this.create_at$end = create_at$end;
	}

	public long getExpire_time$begin() {
		return expire_time$begin;
	}

	public void setExpire_time$begin(long expire_time$begin) {
		this.expire_time$begin = expire_time$begin;
	}

	public long getExpire_time$end() {
		return expire_time$end;
	}

	public void setExpire_time$end(long expire_time$end) {
		this.expire_time$end = expire_time$end;
	}

	public int getBegin() {
		return begin;
	}

	public void setBegin(int begin) {
		this.begin = begin;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public MB26201(int voucher_id, int voucher_type_id, String status, int cngold_id, int voucher_source_id,
			long create_at$begin, long create_at$end, long expire_time$begin, long expire_time$end, int begin,
			int limit, String orderBy) {
		super();
		this.voucher_id = voucher_id;
		this.voucher_type_id = voucher_type_id;
		this.status = status;
		this.cngold_id = cngold_id;
		this.voucher_source_id = voucher_source_id;
		this.create_at$begin = create_at$begin;
		this.create_at$end = create_at$end;
		this.expire_time$begin = expire_time$begin;
		this.expire_time$end = expire_time$end;
		this.begin = begin;
		this.limit = limit;
		this.orderBy = orderBy;
	}

	public MB26201() {
	}
	
}
