/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.bean;

import java.util.Date;
import java.util.List;

/**
 * 客户账单
 * @author JerryZ 
 * 2009-8-17 上午11:42:21
 * 
 */
public class CustBill{
	/**
	 * 结算时间
	 */
	private long billDate;
	/**
	 * 
	 */
	private Date date;
	/**
	 * 代理商ID
	 */
	private int agentId;
	/**
	 * 代理商名称
	 */
	private String agentName;
	/**
	 * 用户ID
	 */
	private int userId;
	/**
	 * 用户名称
	 */
	private String userName;
	/**
	 * 用户登陆名
	 */
	private String userLoginName;
	/**
	 * 客户ID
	 */
	private int custId;
	/**
	 * 客户名称
	 */
	private String custName;
	/**
	 * 客户登陆名
	 */
	private String custLoginName;
	/**
	 * 帐户ID
	 */
	private int accntId;
	/**
	 * 帐户货币类型
	 */
	private String currency;
	
	/**
	 * 地址
	 */
	private String address;
	/**
	 * 前期余额
	 */
	private double lastBalance;
	/**
	 * 出入金
	 */
	private double ioMoney;
	/**
	 * 盈亏
	 */
	private double profitLoss;
	/**
	 * 延迟交易补偿费
	 */
	private double overNight;
	/**
	 * 佣金
	 */
	private double charge;
	/**
	 * 浮动盈亏
	 */
	private double draftProfitLoss;
	/**
	 * 有效保证金
	 */
	private double clearFund;
	/**
	 * 必要保证金
	 */
	private double orderFund;
	/**
	 * 可用保证金
	 */
	private double avaFund;
	
	/**
	 * 日交易量
	 */
	private double todayLots;
	/**
	 * 月交易量
	 */
	private double monthLots;
	
	/**
	 * 调整金
	 */
	private double adjust_money;
	/**
	 * 信用额度
	 */
	private double credit;
	
	/**
	 * 
	 */
	private double todayKeepLots;
	
	/**
	 * 周几
	 */
	private int weekDay;
	
	/**
	 * 
	 */
	private List<CustBillHolding> holdings;
	
	/**
	 * 
	 */
	private List<CustBillClosing> closing;
	
	/**
	 * 
	 */
	private List<CustBillPrice> prices;
	
	
	public long getBillDate() {
		return billDate;
	}
	public void setBillDate(long billDate) {
		this.billDate = billDate;
	}
	public int getAgentId() {
		return agentId;
	}
	public void setAgentId(int agentId) {
		this.agentId = agentId;
	}
	public String getAgentName() {
		return agentName;
	}
	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserLoginName() {
		return userLoginName;
	}
	public void setUserLoginName(String userLoginName) {
		this.userLoginName = userLoginName;
	}
	public int getCustId() {
		return custId;
	}
	public void setCustId(int custId) {
		this.custId = custId;
	}
	public String getCustName() {
		return custName;
	}
	public void setCustName(String custName) {
		this.custName = custName;
	}
	public String getCustLoginName() {
		return custLoginName;
	}
	public void setCustLoginName(String custLoginName) {
		this.custLoginName = custLoginName;
	}
	public int getAccntId() {
		return accntId;
	}
	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}
	public String getCurrency() {
		return currency;
	}
	public void setCurrency(String currency) {
		this.currency = currency;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public double getLastBalance() {
		return lastBalance;
	}
	public void setLastBalance(double lastBalance) {
		this.lastBalance = lastBalance;
	}
	public double getIoMoney() {
		return ioMoney;
	}
	public void setIoMoney(double ioMoney) {
		this.ioMoney = ioMoney;
	}
	public double getProfitLoss() {
		return profitLoss;
	}
	public void setProfitLoss(double profitLoss) {
		this.profitLoss = profitLoss;
	}
	public double getOverNight() {
		return overNight;
	}
	public void setOverNight(double overNight) {
		this.overNight = overNight;
	}
	public double getCharge() {
		return charge;
	}
	public void setCharge(double charge) {
		this.charge = charge;
	}
	public double getDraftProfitLoss() {
		return draftProfitLoss;
	}
	public void setDraftProfitLoss(double draftProfitLoss) {
		this.draftProfitLoss = draftProfitLoss;
	}
	public double getClearFund() {
		return clearFund;
	}
	public void setClearFund(double clearFund) {
		this.clearFund = clearFund;
	}
	public double getOrderFund() {
		return orderFund;
	}
	public void setOrderFund(double orderFund) {
		this.orderFund = orderFund;
	}
	public double getAvaFund() {
		return avaFund;
	}
	public void setAvaFund(double avaFund) {
		this.avaFund = avaFund;
	}
	public List<CustBillHolding> getHoldings() {
		return holdings;
	}
	public void setHoldings(List<CustBillHolding> holdings) {
		this.holdings = holdings;
	}
	public List<CustBillClosing> getClosing() {
		return closing;
	}
	public void setClosing(List<CustBillClosing> closing) {
		this.closing = closing;
	}
	public List<CustBillPrice> getPrices() {
		return prices;
	}
	public void setPrices(List<CustBillPrice> prices) {
		this.prices = prices;
	}
	public double getAdjust_money() {
		return adjust_money;
	}
	public void setAdjust_money(double adjustMoney) {
		adjust_money = adjustMoney;
	}
	public double getCredit() {
		return credit;
	}
	public void setCredit(double credit) {
		this.credit = credit;
	}
	public double getTodayLots() {
		return todayLots;
	}
	public void setTodayLots(double todayLots) {
		this.todayLots = todayLots;
	}
	public double getMonthLots() {
		return monthLots;
	}
	public void setMonthLots(double monthLots) {
		this.monthLots = monthLots;
	}
	public double getTodayKeepLots() {
		return todayKeepLots;
	}
	public void setTodayKeepLots(double todayKeepLots) {
		this.todayKeepLots = todayKeepLots;
	}
	public int getWeekDay() {
		return weekDay;
	}
	public void setWeekDay(int weekDay) {
		this.weekDay = weekDay;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	
}
