/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.bean;

import java.util.Date;

/**
 * 平仓单
 * @author JerryZ 
 * 2009-8-17 上午11:38:31
 * 
 */
public class CustBillClosing {
	/**
	 * 商品ID
	 */
	private int symbolId;
	
	private double lots;
	
	private double id;
	
	/**
	 * 单子类型
	 */
	private int orderType;
	/**
	 * 开仓日期
	 */
	private Date openTime;
	/**
	 * 开仓价格
	 */
	private double openPrice;
	/**
	 * 结算日期
	 */
	private Date closeTime;
	/**
	 * 结算价格
	 */
	private double closePrice;
	/**
	 * 结算(卖)
	 */
	private double closeBuyPrice;
	/**
	 * 结算(卖)
	 */
	private double closeSalePrice;
	/**
	 * 盈亏
	 */
	private double profitLoss;
	/**
	 * 佣金
	 */
	private double charge;
	/**
	 * 商品名称
	 */
	private String symbolName;
	/**
	 * 
	 */
	private String tsCode;
	
	/**
	 * 点差(按点)
	 */
	private int spread;
	
	
	public int getSpread() {
		return spread;
	}

	public void setSpread(int spread) {
		this.spread = spread;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public String getSymbolName() {
		return symbolName;
	}
	public void setSymbolName(String symbolName) {
		this.symbolName = symbolName;
	}

	public int getOrderType() {
		return orderType;
	}

	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}

	public Date getOpenTime() {
		return openTime;
	}

	public void setOpenTime(Date openTime) {
		this.openTime = openTime;
	}

	public double getOpenPrice() {
		return openPrice;
	}

	public void setOpenPrice(double openPrice) {
		this.openPrice = openPrice;
	}

	public Date getCloseTime() {
		return closeTime;
	}

	public void setCloseTime(Date closeTime) {
		this.closeTime = closeTime;
	}

	public double getClosePrice() {
		return closePrice;
	}

	public void setClosePrice(double closePrice) {
		this.closePrice = closePrice;
	}

	public double getCloseBuyPrice() {
		return closeBuyPrice;
	}

	public void setCloseBuyPrice(double closeBuyPrice) {
		this.closeBuyPrice = closeBuyPrice;
	}

	public double getCloseSalePrice() {
		return closeSalePrice;
	}

	public void setCloseSalePrice(double closeSalePrice) {
		this.closeSalePrice = closeSalePrice;
	}

	public double getProfitLoss() {
		return profitLoss;
	}

	public void setProfitLoss(double profitLoss) {
		this.profitLoss = profitLoss;
	}

	public double getCharge() {
		return charge;
	}

	public void setCharge(double charge) {
		this.charge = charge;
	}

	public String getTsCode() {
		return tsCode;
	}

	public void setTsCode(String tsCode) {
		this.tsCode = tsCode;
	}

	public double getLots() {
		return lots;
	}

	public void setLots(double lots) {
		this.lots = lots;
	}

	public double getId() {
		return id;
	}

	public void setId(double id) {
		this.id = id;
	}
}
