/**
 * Copyright (c) 2012 by sangame.com.
 * All right reserved.
 */
package com.lmsoft.cornu.webtrade.sdk.message.bean;

/**
 * 持仓汇总的统计结果实体 <BR>
 * @author Jerry Zhang <BR>
 * 2013-1-22 下午03:19:06
 */
public class HoldingOrderStatisticsResult {
	private int symbolId; //商品ID
	
	private double buyHodingAmount = 0d; //买持量
	private double buyHodingFrozen = 0d; //买持仓冻结
	private double buyOpenAvgPrice = 0d; //买开仓均价
	
	private double sellHodingAmount = 0d; //卖持量
	private double sellHodingFrozen = 0d; //卖持仓冻结
	private double sellOpenAvgPrice = 0d; //卖开仓均价
	
	public HoldingOrderStatisticsResult() {
		super();
	}
	public HoldingOrderStatisticsResult(int symbolId) {
		super();
		this.symbolId = symbolId;
	}
	public int getSymbolId() {
		return symbolId;
	}
	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}
	public double getBuyHodingAmount() {
		return buyHodingAmount;
	}
	public void setBuyHodingAmount(double buyHodingAmount) {
		this.buyHodingAmount = buyHodingAmount;
	}
	public double getBuyHodingFrozen() {
		return buyHodingFrozen;
	}
	public void setBuyHodingFrozen(double buyHodingFrozen) {
		this.buyHodingFrozen = buyHodingFrozen;
	}
	public double getBuyOpenAvgPrice() {
		return buyOpenAvgPrice;
	}
	public void setBuyOpenAvgPrice(double buyOpenAvgPrice) {
		this.buyOpenAvgPrice = buyOpenAvgPrice;
	}
	public double getSellHodingAmount() {
		return sellHodingAmount;
	}
	public void setSellHodingAmount(double sellHodingAmount) {
		this.sellHodingAmount = sellHodingAmount;
	}
	public double getSellHodingFrozen() {
		return sellHodingFrozen;
	}
	public void setSellHodingFrozen(double sellHodingFrozen) {
		this.sellHodingFrozen = sellHodingFrozen;
	}
	public double getSellOpenAvgPrice() {
		return sellOpenAvgPrice;
	}
	public void setSellOpenAvgPrice(double sellOpenAvgPrice) {
		this.sellOpenAvgPrice = sellOpenAvgPrice;
	}
}
