package com.lmsoft.cornu.webtrade.sdk.message.bean;

import java.util.Date;

/**
 * 股票行情
 * 
 * @author xuxiaolei
 * 
 */
public class QuotoItem {
	// 行情时间
	protected Date noticeTime;

	private int symbolId;
	/**
	 * 收盘价
	 */
	private double close;
	/**
	 * 开盘价
	 */
	private double open;
	/**
	 * 最高价
	 */
	private double high;
	/**
	 * 最低价
	 */
	private double low;
	private double price;

	// 总手(总成交手数)
	private double amount;
	// 总量(总成交额)
	private double money;

	// 卖5价
	private double sellPrice5;
	// 卖5量
	private double sellAmount5;
	// 卖4价
	private double sellPrice4;
	// 卖4量
	private double sellAmount4;
	// 卖3价
	private double sellPrice3;
	// 卖3量
	private double sellAmount3;
	// 卖2价
	private double sellPrice2;
	// 卖2量
	private double sellAmount2;
	// 卖1价
	private double sellPrice1;
	// 卖5量
	private double sellAmount1;

	// 买1价
	private double buyPrice1;
	// 买1量
	private double buyAmount1;
	// 买2价
	private double buyPrice2;
	// 买2量
	private double buyAmount2;
	// 买3价
	private double buyPrice3;
	// 买3量
	private double buyAmount3;
	// 买4价
	private double buyPrice4;
	// 买4量
	private double buyAmount4;
	// 买5价
	private double buyPrice5;
	// 买5量
	private double buyAmount5;
	// 预留1
	private double reserved1;
	// 预留2
	private double reserved2;

	public Date getNoticeTime() {
		return noticeTime;
	}

	public void setNoticeTime(Date noticeTime) {
		this.noticeTime = noticeTime;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public double getClose() {
		return close;
	}

	public void setClose(double close) {
		this.close = close;
	}

	public double getOpen() {
		return open;
	}

	public void setOpen(double open) {
		this.open = open;
	}

	public double getHigh() {
		return high;
	}

	public void setHigh(double high) {
		this.high = high;
	}

	public double getLow() {
		return low;
	}

	public void setLow(double low) {
		this.low = low;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public double getAmount() {
		return amount;
	}

	public void setAmount(double amount) {
		this.amount = amount;
	}

	public double getMoney() {
		return money;
	}

	public void setMoney(double money) {
		this.money = money;
	}

	public double getSellPrice5() {
		return sellPrice5;
	}

	public void setSellPrice5(double sellPrice5) {
		this.sellPrice5 = sellPrice5;
	}

	public double getSellAmount5() {
		return sellAmount5;
	}

	public void setSellAmount5(double sellAmount5) {
		this.sellAmount5 = sellAmount5;
	}

	public double getSellPrice4() {
		return sellPrice4;
	}

	public void setSellPrice4(double sellPrice4) {
		this.sellPrice4 = sellPrice4;
	}

	public double getSellAmount4() {
		return sellAmount4;
	}

	public void setSellAmount4(double sellAmount4) {
		this.sellAmount4 = sellAmount4;
	}

	public double getSellPrice3() {
		return sellPrice3;
	}

	public void setSellPrice3(double sellPrice3) {
		this.sellPrice3 = sellPrice3;
	}

	public double getSellAmount3() {
		return sellAmount3;
	}

	public void setSellAmount3(double sellAmount3) {
		this.sellAmount3 = sellAmount3;
	}

	public double getSellPrice2() {
		return sellPrice2;
	}

	public void setSellPrice2(double sellPrice2) {
		this.sellPrice2 = sellPrice2;
	}

	public double getSellAmount2() {
		return sellAmount2;
	}

	public void setSellAmount2(double sellAmount2) {
		this.sellAmount2 = sellAmount2;
	}

	public double getSellPrice1() {
		return sellPrice1;
	}

	public void setSellPrice1(double sellPrice1) {
		this.sellPrice1 = sellPrice1;
	}

	public double getSellAmount1() {
		return sellAmount1;
	}

	public void setSellAmount1(double sellAmount1) {
		this.sellAmount1 = sellAmount1;
	}

	public double getBuyPrice1() {
		return buyPrice1;
	}

	public void setBuyPrice1(double buyPrice1) {
		this.buyPrice1 = buyPrice1;
	}

	public double getBuyAmount1() {
		return buyAmount1;
	}

	public void setBuyAmount1(double buyAmount1) {
		this.buyAmount1 = buyAmount1;
	}

	public double getBuyPrice2() {
		return buyPrice2;
	}

	public void setBuyPrice2(double buyPrice2) {
		this.buyPrice2 = buyPrice2;
	}

	public double getBuyAmount2() {
		return buyAmount2;
	}

	public void setBuyAmount2(double buyAmount2) {
		this.buyAmount2 = buyAmount2;
	}

	public double getBuyPrice3() {
		return buyPrice3;
	}

	public void setBuyPrice3(double buyPrice3) {
		this.buyPrice3 = buyPrice3;
	}

	public double getBuyAmount3() {
		return buyAmount3;
	}

	public void setBuyAmount3(double buyAmount3) {
		this.buyAmount3 = buyAmount3;
	}

	public double getBuyPrice4() {
		return buyPrice4;
	}

	public void setBuyPrice4(double buyPrice4) {
		this.buyPrice4 = buyPrice4;
	}

	public double getBuyAmount4() {
		return buyAmount4;
	}

	public void setBuyAmount4(double buyAmount4) {
		this.buyAmount4 = buyAmount4;
	}

	public double getBuyPrice5() {
		return buyPrice5;
	}

	public void setBuyPrice5(double buyPrice5) {
		this.buyPrice5 = buyPrice5;
	}

	public double getBuyAmount5() {
		return buyAmount5;
	}

	public void setBuyAmount5(double buyAmount5) {
		this.buyAmount5 = buyAmount5;
	}

	public double getReserved1() {
		return reserved1;
	}

	public void setReserved1(double reserved1) {
		this.reserved1 = reserved1;
	}

	public double getReserved2() {
		return reserved2;
	}

	public void setReserved2(double reserved2) {
		this.reserved2 = reserved2;
	}
}
