/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.bean;

/**
 * 商品交易控制段
 * @author JerryZ 
 * 2009-8-20 上午10:40:12
 * 
 */
public class TradeSymbolOpts {


	public TradeSymbolOpts() {
		buy_open_order = true;
		sell_open_order = true;
		buy_pending_order = true;
		sell_pending_order = true;
		buy_close_order = true;
		sell_close_order = true;
		buy_modify_order = true;
		sell_modify_order = true;
		buy_modify_pending = true;
		sell_modify_pending = true;
		buy_cancel_pending = true;
		sell_cancel_pending = true;
	}
	
	int symbol_id;
	/**
	 * 买单建单
	 */
	boolean buy_open_order;
	/**
	 * 卖单建单
	 */
	boolean sell_open_order;
	/**
	 * 买单挂单
	 */
	boolean buy_pending_order;
	/**
	 * 卖单挂单
	 */
	boolean sell_pending_order;
	/**
	 * 买单平单
	 */
	boolean buy_close_order;
	/**
	 * 卖单平单
	 */
	boolean sell_close_order;
	/**
	 * 买单交割
	 */
	boolean buy_delivery;
	/**
	 * 卖单交割
	 */
	boolean sell_delivery;
	/**
	 * 买单续约
	 */
	boolean buy_extension;
	/**
	 * 卖单续约
	 */
	boolean sell_extension;
	/**
	 * 买单改单
	 */
	boolean buy_modify_order;
	/**
	 * 卖单改单
	 */
	boolean sell_modify_order;
	/**
	 * 买单挂单修改
	 */
	boolean buy_modify_pending;
	/**
	 * 卖单挂单修改
	 */
	boolean sell_modify_pending;
	/**
	 * 买单无持单交割
	 */
	boolean buy_no_order_delivery;
	/**
	 * 卖单无持单交割
	 */
	boolean sell_no_order_delivery;
	/**
	 * 买单挂单取消
	 */
	boolean buy_cancel_pending;
	/**
	 * 卖单挂单取消
	 */
	boolean sell_cancel_pending;
	
	public boolean isBuy_cancel_pending() {
		return buy_cancel_pending;
	}

	public void setBuy_cancel_pending(boolean buy_cancel_pending) {
		this.buy_cancel_pending = buy_cancel_pending;
	}

	public boolean isSell_cancel_pending() {
		return sell_cancel_pending;
	}

	public void setSell_cancel_pending(boolean sell_cancel_pending) {
		this.sell_cancel_pending = sell_cancel_pending;
	}

	public boolean isBuy_close_order() {
		return buy_close_order;
	}

	public void setBuy_close_order(boolean buy_close_order) {
		this.buy_close_order = buy_close_order;
	}

	public boolean isBuy_delivery() {
		return buy_delivery;
	}

	public void setBuy_delivery(boolean buy_delivery) {
		this.buy_delivery = buy_delivery;
	}

	public boolean isBuy_extension() {
		return buy_extension;
	}

	public void setBuy_extension(boolean buy_extension) {
		this.buy_extension = buy_extension;
	}

	public boolean isBuy_modify_order() {
		return buy_modify_order;
	}

	public void setBuy_modify_order(boolean buy_modify_order) {
		this.buy_modify_order = buy_modify_order;
	}

	public boolean isBuy_modify_pending() {
		return buy_modify_pending;
	}

	public void setBuy_modify_pending(boolean buy_modify_pending) {
		this.buy_modify_pending = buy_modify_pending;
	}

	public boolean isBuy_no_order_delivery() {
		return buy_no_order_delivery;
	}

	public void setBuy_no_order_delivery(boolean buy_no_order_delivery) {
		this.buy_no_order_delivery = buy_no_order_delivery;
	}

	public boolean isBuy_open_order() {
		return buy_open_order;
	}

	public void setBuy_open_order(boolean buy_open_order) {
		this.buy_open_order = buy_open_order;
	}

	public boolean isBuy_pending_order() {
		return buy_pending_order;
	}

	public void setBuy_pending_order(boolean buy_pending_order) {
		this.buy_pending_order = buy_pending_order;
	}

	public boolean isSell_close_order() {
		return sell_close_order;
	}

	public void setSell_close_order(boolean sell_close_order) {
		this.sell_close_order = sell_close_order;
	}

	public boolean isSell_delivery() {
		return sell_delivery;
	}

	public void setSell_delivery(boolean sell_delivery) {
		this.sell_delivery = sell_delivery;
	}

	public boolean isSell_extension() {
		return sell_extension;
	}

	public void setSell_extension(boolean sell_extension) {
		this.sell_extension = sell_extension;
	}

	public boolean isSell_modify_order() {
		return sell_modify_order;
	}

	public void setSell_modify_order(boolean sell_modify_order) {
		this.sell_modify_order = sell_modify_order;
	}

	public boolean isSell_modify_pending() {
		return sell_modify_pending;
	}

	public void setSell_modify_pending(boolean sell_modify_pending) {
		this.sell_modify_pending = sell_modify_pending;
	}

	public boolean isSell_no_order_delivery() {
		return sell_no_order_delivery;
	}

	public void setSell_no_order_delivery(boolean sell_no_order_delivery) {
		this.sell_no_order_delivery = sell_no_order_delivery;
	}

	public boolean isSell_open_order() {
		return sell_open_order;
	}

	public void setSell_open_order(boolean sell_open_order) {
		this.sell_open_order = sell_open_order;
	}

	public boolean isSell_pending_order() {
		return sell_pending_order;
	}

	public void setSell_pending_order(boolean sell_pending_order) {
		this.sell_pending_order = sell_pending_order;
	}

	public int getSymbol_id() {
		return symbol_id;
	}

	public void setSymbol_id(int symbol_id) {
		this.symbol_id = symbol_id;
	}
}
