package com.lmsoft.cornu.webtrade.sdk;

import java.util.List;

import com.lmsoft.cornu.common.online.OnlineUid;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB10113;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB12123;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB13312;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB13332;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB13502;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB13532;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB20183;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB20223;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB26100;
import com.lmsoft.cornu.webtrade.sdk.message.bean.StockQuoto;

/**
 * 
 * @author wt
 *
 */
public interface CommHandler{
	/**
	 * 
	 * @param onlineUid
	 * @param quotoes
	 */
	public void noticeQuoto(OnlineUid onlineUid,List<MB12123> quotoes);
	
	public void noticeStockQuoto(OnlineUid uid, StockQuoto stockQuoto);
	
	public void noticeHoldStatistics(OnlineUid uid, MB13502 mb13502);
	
	/**
	 * 
	 * @param onlineUid
	 * @param accnts
	 */
	public void noticeAccntChange(OnlineUid onlineUid, List<MB13312> accnts);
	/**
	 * 
	 * @param onlineUid
	 * @param accnts
	 */
	public void noticeStopOut(OnlineUid onlineUid, List<MB13312> accnts);
	/**
	 * 
	 * @param onlineUid
	 * @param orders
	 */
	public void noticeOrderChange(OnlineUid onlineUid, List<MB13332> orders);
	/**
	 * 
	 * @param onlineUid
	 * @param mb20183
	 */
	public void noticeTradeResult(OnlineUid onlineUid, MB20183 mb20183);
	/**
	 * 
	 * @param uid
	 * @param mb20223
	 */
	public void noticeOverNight(OnlineUid uid, MB20223 mb20223);
	
	public void noticeSessionClose(OnlineUid uid);

	public void noticeBeKicked(OnlineUid uid, MB10113 mb10113);
	/**
	 * 通知行情
	 * @param uid
	 * @param tradeLogList
	 */
	public void noticeTradeLog(OnlineUid uid, List<MB13532> tradeLogList);
	
	/**
	 * 发券通知
	 * */
	public void noticeVoucher(OnlineUid uid,MB26100 mb26100);
}
