/**
 * Copyright (c) 2012 by sangame.com.
 * All right reserved.
 */
package com.lmsoft.cornu.webtrade.sdk;

import com.lmsoft.cornu.webtrade.sdk.message.all.MB13032;
import com.lmsoft.cornu.webtrade.sdk.message.all.MB13532;

/**
 * ManagerClient <BR>
 * @author Jerry Zhang <BR>
 * 2012-12-27 下午05:17:35
 */
public interface ServerClient extends IBaseSkyFallClient{
	void setServerClientOnlineSession(ServerClinetOnlineSession serverClientOnlineSession);
	
	ServerClinetOnlineSession getServerClientOnlineSession();
	/**
	 * 商品信息查询
	 * @param symbolId 商品id
	 * @return MB13032
	 */
	abstract public MB13032 querySymbols(int symbolId);

	/**
	 * 商品信息查询
	 * @param symbolId 商品id
	 * @return MB13032
	 */
	abstract public boolean queryNoticeSwitchOn();
	

	/**
	 * 操作明细查询
	 * @param id 操作明细id，这个id应该是上次请求操作明细的最大id。
	 *           此接口根据该id查询上次请求之后新增的操作明细
	 * @return
	 * @since skyfall v2.0
	 */
	abstract public MB13532 queryTradeLogAfterId(long id);
	
	boolean isConnected();
	
}
