/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.client2.phoenix;

import com.sangame.phoenix.server.SessionEventHandler;
import org.apache.mina.core.session.IdleStatus;
import org.apache.mina.core.session.IoSession;

/**
 * @author JerryZ
 *
 */
public class WebTraderSessionEventHandler implements SessionEventHandler {

	/* (non-Javadoc)
	 * @see com.sangame.phoenix.server.SessionEventHandler#sessionClosed(org.apache.mina.core.session.IoSession)
	 */
	public void sessionClosed(IoSession session) throws Exception {
		ComminicationClient client = (ComminicationClient)session.getAttribute(ComminicationClient.BOUND_CLIENT, null);
		if(client!=null)
			client.sesseionClosed();
		session.removeAttribute(ComminicationClient.BOUND_CLIENT);
	}

	/* (non-Javadoc)
	 * @see com.sangame.phoenix.server.SessionEventHandler#sessionCreated(org.apache.mina.core.session.IoSession)
	 */
	public void sessionCreated(IoSession session) throws Exception {
		// do nothing
		
	}

	public void sessionIdle(IoSession session, IdleStatus status)
			throws Exception {
		ComminicationClient client = (ComminicationClient)session.getAttribute(ComminicationClient.BOUND_CLIENT, null);
		if(client!=null)
			client.sessionIdle();
	}

	public void sessionOpened(IoSession session) throws Exception {
		session.getConfig().setIdleTime( IdleStatus.WRITER_IDLE, 60 );

	}

}
