/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.managerclient;

import com.lmsoft.cornu.common.online.OnlineConst;
import com.lmsoft.cornu.webtrade.sdk.ManagerClient;
import com.lmsoft.cornu.webtrade.sdk.ManagerOnlineSession;
import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.client2.BaseSkyfallVoucherBizClient;
import com.lmsoft.cornu.webtrade.sdk.config.WebTraderConfig;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.all.*;
import com.lmsoft.cornu.webtrade.sdk.message.bean.QueryTimeType;
import com.lmsoft.cornu.webtrade.sdk.message.bean.QueryType;
import com.lmsoft.cornu.webtrade.sdk.message.bean.TradeOrderPost;
import com.sangame.phoenix.cornu.CornuMessage;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.concurrent.TimeUnit;
/**
 * TradeSdk
 * @author JerryZ
 *
 */
public class DefaultManagerClient extends BaseSkyfallVoucherBizClient implements ManagerClient{
	private static final Log log = LogFactory.getLog(DefaultManagerClient.class);
	
	private ManagerOnlineSession managerOnlineSession;
	
	public DefaultManagerClient(WebTraderConfig config) {
		super(config);
		
	}

//	此协议仅供客户端使用
//	public synchronized MB13032 getTradeSymbols(int groupId, int custId) {
//		//以下一段话必带， 用于锁对话模式
//		dialogLock.lock();
//		MB13032 mb13032 = null;
//		try {
//			
//			MB13091 mb13091 = new MB13091(groupId, custId);
//			sendMsgAndSetNoSeq(TidConst.T13091, mb13091);
//			
//			//以下一段话必带，用于等对话模式回包
//			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
//
//			if(nowCornuMessage ==null){
//				
//			}else
//				mb13032 = (MB13032)nowCornuMessage;
//
//		} catch (Exception e) {
//			log.error("error", e);
//		} finally{
//			nowCornuMessage = null;
//			dialogLock.unlock();
//		}
//
//		return mb13032;
//	}

	public synchronized MB10042 login(String loginName, String password, String ip) {
		dialogLock.lock();
		MB10042 mb10042 = null;
		try {
			MB10041 mb10041 = new MB10041(loginName, password, "AAAAAAAAAAAAA",
					OnlineConst.SOURCE_CLIENT_MANAGER, comminicationClient.getConfig().getServerVersion(), 
					"IP:"+ip);
			nowDialogSeq = 0;
			sendUnloginMsg(TidConst.T10051, mb10041, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			
			if(nowCornuMessage ==null){
				
			}else
				mb10042 = (MB10042)nowCornuMessage;

		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		
		return mb10042;
	}

	public synchronized MB10042 adminLogin(String loginName, String password, String ip) {
		dialogLock.lock();
		MB10042 mb10042 = null;
		try {
			MB10041 mb10041 = new MB10041(loginName, password, "AAAAAAAAAAAAA",
					OnlineConst.SOURCE_CLIENT_MANAGER, comminicationClient.getConfig().getServerVersion(),
					"IP:"+ip);
			nowDialogSeq = 0;
			sendUnloginMsg(10131, mb10041, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);

			if(nowCornuMessage ==null){

			}else
				mb10042 = (MB10042)nowCornuMessage;

		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb10042;
	}

//	public MB10112 checkLoginName(String loginName){
//		dialogLock.lock();
//		MB10112 mb10112 = null;
//		try {
//			MB10111 mb10111 = new MB10111(loginName);
//			nowDialogSeq = 0;
//			sendUnloginMsg(TidConst.T10111, mb10111, nowDialogSeq);
//
//			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
//			
//			if(nowCornuMessage ==null){
//				
//			}else
//				mb10112 = (MB10112)nowCornuMessage;
//		} catch (Exception e) {
//			log.error("error", e);
//		} finally{
//			nowCornuMessage = null;
//			dialogLock.unlock();
//		}
//		return mb10112;
//	}
	
//	public MB10202 queryRegCustGroups(){
//		//TODO 对话模式这个结构要调整一下, 等忙过这阵把方法提取出来
//		dialogLock.lock();
//		MB10202 mb10202 = null;
//		try {
//			MB10201 mb10201 = new MB10201();
//			nowDialogSeq = 0;
//			sendUnloginMsg(TidConst.T10201, mb10201, nowDialogSeq);
//
//			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
//			
//			if(nowCornuMessage ==null){
//				
//			}else
//				mb10202 = (MB10202)nowCornuMessage;
//		} catch (Exception e) {
//			log.error("error", e);
//		} finally{
//			nowCornuMessage = null;
//			dialogLock.unlock();
//		}
//		return mb10202;
//	}
	
//	public MB10992 selfReg(String loginName, String loginPwd, String readOnlyPwd,
//			String realName, String province, String city, String addr,
//			Date birthday, String zipCode, String phone, String mobile,
//			String eMail, String cardId, int groupId){
//		
//		dialogLock.lock();
//		MB10992 mb10992 = null;
//		try {
//			MB10091 mb10091 = new MB10091(loginName, loginPwd, readOnlyPwd, realName,
//					province, city, addr, birthday, zipCode, phone, mobile, eMail, cardId, groupId);
//			nowDialogSeq = 0;
//			sendUnloginMsg(TidConst.T10091, mb10091, nowDialogSeq);
//
//			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
//			
//			if(nowCornuMessage ==null){
//				
//			}else
//				mb10992 = (MB10992)nowCornuMessage;
//		} catch (Exception e) {
//			log.error("error", e);
//		} finally{
//			nowCornuMessage = null;
//			dialogLock.unlock();
//		}
//		
//		return mb10992;
//	}
	////////////////////////////NoticeMsgHandler//////////////////


	public void beClosed() {
		if (commHandler != null && managerOnlineSession!=null )
			commHandler.noticeSessionClose(managerOnlineSession.uid());
	}
	
	public void noticeMsg(CornuMessage message) {
		
		if(commHandler==null || managerOnlineSession ==null)
			return;
		super.noticeMsg(message);
		switch (message.getTid()) {
		case TidConst.T12123:
			MB12123 mb12123 = (MB12123)message.getFields()[0];
			commHandler.noticeQuoto(managerOnlineSession.uid(), mb12123.getRt());
			break;
		case TidConst.T20183:
			MB20183 mb20183 = (MB20183)message.getFields()[0];
			commHandler.noticeTradeResult(managerOnlineSession.uid(), mb20183);
			break;
		case TidConst.T20193:
			MB13332 mb13332 = (MB13332)message.getFields()[0];
			commHandler.noticeOrderChange(managerOnlineSession.uid(), mb13332.getTradeOrders());
			break;
		case TidConst.T20203:
			MB13312 mb13312 = (MB13312)message.getFields()[0];
			commHandler.noticeAccntChange(managerOnlineSession.uid(), mb13312.getTradeAccnts());
			break;
		case TidConst.T20213:
			MB13312 _mb13312 = (MB13312)message.getFields()[0];
			commHandler.noticeStopOut(managerOnlineSession.uid(), _mb13312.getTradeAccnts());
			break;
		case TidConst.T20223:
			MB20223 mb20223 = (MB20223)message.getFields()[0];
			commHandler.noticeOverNight(managerOnlineSession.uid(), mb20223);
			break;
		case TidConst.T10113:
			MB10113 mb10113 = (MB10113)message.getFields()[0];
			commHandler.noticeBeKicked(managerOnlineSession.uid(), mb10113);
			break;
		case TidConst.T12153:
			MB12153 mb12153 = (MB12153)message.getFields()[0];
			commHandler.noticeStockQuoto(managerOnlineSession.uid(), mb12153.getStockQuoto());
			break;
		case TidConst.T20293:
			MB13502 mb13502 = (MB13502)message.getFields()[0];
			commHandler.noticeHoldStatistics(managerOnlineSession.uid(), mb13502);
			break;
		case TidConst.T26100:
			MB26100 mb26100 = (MB26100) message.getFields()[0];
			commHandler.noticeVoucher(managerOnlineSession.uid(), mb26100);
		default:
//			throw new IllegalStateException("通知事件没有处理: Tid: " + message.getTid());
			log.warn("通知事件没有处理: Tid: " + message.getTid());
			break;
		}
	}

	@Override
	public void setManagerOnlineSession(
			ManagerOnlineSession managerOnlineSession) {
		this.managerOnlineSession = managerOnlineSession;
	}

	public ManagerOnlineSession getManagerOnlineSession() {
		return managerOnlineSession;
	}

	@Override
	public MB15702 addCust(int groupId, String passportId, String province,
			String city, String addr, Date birthday, String zipCode,
			String phone, String mobile, String eMail, String cardId,
			String memo4loginname, int userId) {
		
		dialogLock.lock();
		MB15702 mb15702 = null;
		try {
			MB15261 mb15261 = new MB15261(groupId, passportId,
					province, city, addr, birthday, zipCode, phone, mobile, eMail, cardId, memo4loginname, userId);
			nowDialogSeq = 0;
			sendUnloginMsg(TidConst.T15701, mb15261, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			
			if(nowCornuMessage ==null){
				
			}else{
				if(nowCornuMessage instanceof MB10992){
					MB10992 m10992 = (MB10992)nowCornuMessage;
					mb15702 = new MB15702();
					mb15702.setRtnCode(m10992.getRtnCode());
				}else{
					mb15702 = (MB15702)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		
		return mb15702;
	}

	@Override
	public MB15702 addCustSimple(int cngold_id,int groupId, String realName,String mobile,String memo4loginname, int userId) {
		
		dialogLock.lock();
		MB15702 mb15702 = null;
		try {
			MB15761 mb15761 = new MB15761(cngold_id,groupId, realName,
					"", null, "地址", new Date(), "111111", "88888888", mobile, "zhouze88@gmail.com", "420983199901136432", memo4loginname, userId);
			nowDialogSeq = 0;
			sendUnloginMsg(TidConst.T15701, mb15761, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);

			if(nowCornuMessage ==null){

			}else{
				if(nowCornuMessage instanceof MB10992){
					MB10992 m10992 = (MB10992)nowCornuMessage;
					mb15702 = new MB15702();
					mb15702.setRtnCode(m10992.getRtnCode());
				}else{
					mb15702 = (MB15702)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb15702;
	}

	@Override
	public MB13492 queryTimes(List<Integer> accntIdList) {
		if(accntIdList==null || accntIdList.size()==0)
			throw new IllegalArgumentException("传入的accntIdList为空");
		dialogLock.lock();
		MB13492 mb15702 = null;
		try {
			List<QueryType> queryTypes = new ArrayList<QueryType>();
			queryTypes.add(new QueryType(1, list2Str(accntIdList)));
			MB13361 mb13361 = new MB13361(0, queryTypes, new QueryTimeType());
			
			sendMsgAndSetNoSeq(TidConst.T13491, mb13361);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			
			if(nowCornuMessage ==null){
				
			}else
				mb15702 = (MB13492)nowCornuMessage;
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		
		return mb15702;
	}
	
	@Override
	public MB13032 querySymbols(int symbolId) {
		dialogLock.lock();
		MB13032 mb13032 = null;
		try {
			MB13031 mb13031 = new MB13031(symbolId);
			nowDialogSeq = 0;
			sendUnloginMsg(TidConst.T13031, mb13031, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			
			if(nowCornuMessage !=null)
				mb13032 = (MB13032)nowCornuMessage;
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		
		return mb13032;
	}

	@Override
	public <T> T sendMsg(int custId, BaseWebTraderField bwtf, Class<T> tClass) {
		dialogLock.lock();
		T response = null;
		try {
			sendMsgAndSetNoSeq(custId, bwtf);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);

			if(nowCornuMessage ==null){

			}else
				response = (T) nowCornuMessage;

		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return response;
	}


	private String list2Str(List<Integer> accntIdList){
		StringBuilder sb = new StringBuilder();
		for (Integer integer : accntIdList) {
			sb.append(integer).append(",");
		}
		if(sb.length()!=0){
			sb.deleteCharAt(sb.lastIndexOf(","));
		}
		return sb.toString();
	}

	@Override
	public MB13012 querySystemConfig(String configKey) {
		dialogLock.lock();
		MB13012 mb13012 = null;
		try {
			MB13011 mb13011 = new MB13011(configKey);
			nowDialogSeq = 0;
			sendUnloginMsg(TidConst.T13011, mb13011, nowDialogSeq);

			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);

			if(nowCornuMessage !=null)
				mb13012 = (MB13012)nowCornuMessage;
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb13012;
	}

	@Override
	public MB23092 sendBalanceRequest(int cngoldId,String bankNum,double balance, String reqReason) {
			//以下一段话必带， 用于锁对话模式
			dialogLock.lock();
			MB23092 mb23092 = null;
			try {
				MB23091 mb23091 = new MB23091(cngoldId, bankNum, balance, reqReason);
				sendMsgAndSetNoSeq(TidConst.T23091, mb23091);

				//以下一段话必带，用于等对话模式回包
				sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
				if(nowCornuMessage ==null){

				}else{
					if(nowCornuMessage instanceof MB10992){
						MB10992 m10992 = (MB10992)nowCornuMessage;
						mb23092 = new MB23092();
						mb23092.setRtnCode(m10992.getRtnCode());
					}else{
						mb23092 = (MB23092)nowCornuMessage;
					}
				}
			} catch (Exception e) {
				log.error("error", e);
			} finally{
				nowCornuMessage = null;
				dialogLock.unlock();
			}

			return mb23092;
	}

	@Override
	public MB23102 auditVoucherStatus(int cngoldId,int reqId,int status, String reason,String assessor) {
		dialogLock.lock();
		MB23102 mb23102 = null;
		try{
			MB23101 mb23101 = new MB23101(cngoldId,reqId,status,reason,assessor);
			sendMsgAndSetNoSeq(TidConst.T23101, mb23101);

			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){

			}else{
				if(nowCornuMessage instanceof MB10992){
					MB10992 m10992 = (MB10992)nowCornuMessage;
					mb23102 = new MB23102();
					mb23102.setRtnCode(m10992.getRtnCode());
				}else{
					mb23102 = (MB23102)nowCornuMessage;
				}
			}
		}catch(Exception e){
			log.error("error", e);
		}finally {
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		return mb23102;
	}

	@Override
	public MB10992 confirmDrawCash(int cngoldId, int reqId, String serialNum) {
		dialogLock.lock();
		MB10992 mb10992 = null;
		try{
			MB23301 mb23301 = new MB23301(cngoldId,reqId,serialNum);
			sendMsgAndSetNoSeq(TidConst.T23301, mb23301);

			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){

			}else
				mb10992 = (MB10992)nowCornuMessage;
		}catch(Exception e){
			log.error("error", e);
		}finally {
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		return mb10992;
	}

	@Override
	public MB23202 getCustBalanceRequestList(int cngoldId,int reqId, int status, String reqDate, int beginNum, int limit, String esc,String orderBy) {
		dialogLock.lock();
		MB23202 mb23202 = null;
		try{
			MB23201 mb23201 = new MB23201(cngoldId,reqId,status,reqDate,limit,esc,beginNum,orderBy);
			sendMsgAndSetNoSeq(TidConst.T23201, mb23201);

			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){

			}else{
				if(nowCornuMessage instanceof MB10992){
					MB10992 m10992 = (MB10992)nowCornuMessage;
					mb23202 = new MB23202();
					mb23202.setRtnCode(m10992.getRtnCode());
				}else{
					mb23202 = (MB23202)nowCornuMessage;
				}
			}
		}catch(Exception e){
			log.error("error", e);
		}finally {
			nowCornuMessage = null;
			dialogLock.unlock();
		}
		return mb23202;
	}

	@Override
	public synchronized MB13622 getTradeAccntsByCnGoldId(int cngoldId) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB13622 mb13622 = null;
		try {
			
			MB13321 mb13321 = new MB13321(cngoldId);
			sendMsgAndSetNoSeq(TidConst.T13621, mb13321);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage instanceof MB10992){
				MB10992 m10992 = (MB10992)nowCornuMessage;
				mb13622 = new MB13622();
				mb13622.setRtnCode(m10992.getRtnCode());
			}else{
				mb13622 = (MB13622)nowCornuMessage;
			}
			
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb13622;
	}

	@Override
	public MB10042 getLoginTokenByCngoldId(int i) {
	    throw new UnsupportedOperationException();
	}

	@Override
	public MB13672 getPendOrders(int Cngoldid) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB13672 mb13672 = null;
		try {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			Date date = new Date();
			String string = sdf.format(date);
			Date parse = sdf.parse(string);
			MB13671 mb13671 = new MB13671(Cngoldid,parse.getTime(),parse.getTime(),"11,12,13,14",0,500,"open_time","desc");
			sendMsgAndSetNoSeq(TidConst.T13631, mb13671);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb13672 = new MB13672();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb13672.setRtnCode(mb20012.getReturnCode());
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb13672.setRtnCode(mb10992.getRtnCode());
				}else{
					mb13672 = (MB13672)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb13672;
	}
	
	@Override
	public MB13672 getPendOrdersWithPage(int CngoldId,int beginPosition,int limit,String orderBy,String sequenceType) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB13672 mb13672 = null;
		try {
			SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			Date date = new Date();
			String string = sdf.format(date);
			Date parse = sdf.parse(string);
			MB13671 mb13671 = new MB13671(CngoldId,parse.getTime(),parse.getTime(),"11,12,13,14",beginPosition,limit,orderBy,sequenceType);
			sendMsgAndSetNoSeq(TidConst.T13631, mb13671);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb13672 = new MB13672();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb13672.setRtnCode(mb20012.getReturnCode());
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb13672.setRtnCode(mb10992.getRtnCode());
				}else{
					mb13672 = (MB13672)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb13672;
	}
	
	@Override
	public MB20312 closeBuyHoldingWithCngold(int askId, TradeOrderPost to) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB20312 mb20312 = null;
		try {
			MB20481 mb20481 = new MB20481(askId, to.getCngoldId(), (int)to.getSmbl_id(), 
					to.getLots(), to.getId(), to.getClose_prc(), to.getMaxWarp());
			sendMsgAndSetNoSeq(TidConst.T20481, mb20481);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb20312 = new MB20312();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb20312.setRtnCode(mb20012.getReturnCode());
					mb20312.setOpen_prc(mb20012.getPrice());
					mb20312.setSmbl_id(mb20012.getSymbolId());
					mb20312.setLots(mb20012.getLots());
					mb20312.setOrder_type(0);
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb20312.setRtnCode(mb10992.getRtnCode());
				}else{
					mb20312 = (MB20312)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb20312;
	}

	@Override
	public MB20312 closeSellHoldingWithCngoldId(int askId, TradeOrderPost to) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB20312 mb20312 = null;
		try {
			MB20181 mb20181 = new MB20181(askId, to.getCngoldId(), (int)to.getSmbl_id(), 
					to.getLots(), to.getId(), to.getClose_prc(), to.getMaxWarp());
			sendMsgAndSetNoSeq(TidConst.T20491, mb20181);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb20312 = new MB20312();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb20312.setRtnCode(mb20012.getReturnCode());
					mb20312.setOpen_prc(mb20012.getPrice());
					mb20312.setSmbl_id(mb20012.getSymbolId());
					mb20312.setLots(mb20012.getLots());
					mb20312.setOrder_type(1);
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb20312.setRtnCode(mb10992.getRtnCode());
				}else{
					mb20312 = (MB20312)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb20312;
	}

	@Override
	public MB26012 getCustVouchers(MB26201 param) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB26012 mb26012 = null;
		try {
			MB26201 mb26201 = new MB26201(param.getVoucher_id(), param.getVoucher_type_id(), 
					param.getStatus(), param.getCngold_id(), param.getVoucher_source_id(), param.getCreate_at$begin(),param.getCreate_at$end(),param.getExpire_time$begin(),param.getExpire_time$end(),param.getBegin(),param.getLimit(),param.getOrderBy());
			sendMsgAndSetNoSeq(TidConst.T26201, mb26201);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb26012 = new MB26012();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb26012.setCode(mb20012.getReturnCode());
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb26012.setCode(mb10992.getRtnCode());
				}else{
					mb26012 = (MB26012)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb26012;
	}

	@Override
	public MB13672 gettradeRecords(int CngoldId, long beginTime, long endTime,int beginPosition,int limit,String orderBy,String sequenceType) {
		//以下一段话必带， 用于锁对话模式
		dialogLock.lock();
		MB13672 mb13672 = null;
		try {
			MB13671 mb13671 = new MB13671(CngoldId,beginTime,endTime,"0,1",beginPosition,limit,orderBy,sequenceType);
			sendMsgAndSetNoSeq(TidConst.T13671, mb13671);
			
			//以下一段话必带，用于等对话模式回包
			sending.await(TIME_OUT_TIME, TimeUnit.SECONDS);
			if(nowCornuMessage ==null){
				
			}else{
				mb13672 = new MB13672();
				if(nowCornuMessage instanceof MB20012){
					MB20012 mb20012 = (MB20012) nowCornuMessage;
					mb13672.setRtnCode(mb20012.getReturnCode());
				}else if(nowCornuMessage instanceof MB10992){
					MB10992 mb10992 = (MB10992) nowCornuMessage;
					mb13672.setRtnCode(mb10992.getRtnCode());
				}else{
					mb13672 = (MB13672)nowCornuMessage;
				}
			}
		} catch (Exception e) {
			log.error("error", e);
		} finally{
			nowCornuMessage = null;
			dialogLock.unlock();
		}

		return mb13672;
	}
}
