/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.Date;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 公告查询应答
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB10012 extends BaseWebTraderField{
	/**
	 * 是否有效
	 */
	private boolean active;

	/**
	 * 标题
	 */
	private String title;

	/**
	 * 内容
	 */
	private String content;

	/**
	 * 时间
	 */
	private Date notice_time;
	
	@Override
	protected void readCommandBody() {
		active = readBoolean();
		title = readString();
		content = readString();
		notice_time = new Date(readLong());
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P10012;
	}

	public boolean isActive() {
		return active;
	}

	public void setActive(boolean active) {
		this.active = active;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Date getNotice_time() {
		return notice_time;
	}

	public void setNotice_time(Date noticeTime) {
		notice_time = noticeTime;
	}
}
