/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.UnloginAble;

/**
 * 登陆挑战请求
 * @author JerryZ 
 * 2009-6-16 下午 08:01:33
 */
public class MB10031 extends BaseWebTraderField implements UnloginAble{
	/**
	 * 用户名
	 */
	String loginName;
	@Override
	protected void readCommandBody() {
		loginName = readString();
	}

	@Override
	protected void writeCommandBody() {
		writeString(loginName);
	}

	public int getCommandCode() {
		return PidConst.P10031;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public MB10031() {
	}
	
	public MB10031(String loginName) {
		super();
		this.loginName = loginName;
	}
}
