/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.Date;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 客户自注册.xml
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB10091 extends BaseWebTraderField{
	/**
	 * 客户登陆名称
	 */
	String loginName;
	/**
	 * 登录密码
	 */
	String loginPwd = "888888";
	/**
	 * 只读密码
	 */
	String readOnlyPwd = "000000";
	/**
	 * 真实姓名
	 */
	String realName;
	/**
	 * 省
	 */
	String province;
	/**
	 * 城市
	 */
	String city;
	/**
	 * 地址
	 */
	String addr;
	/**
	 * 生日
	 */
	Date birthday;
	/**
	 * 邮编
	 */
	String zipCode;
	/**
	 * 电话
	 */
	String phone;
	/**
	 * 手机号
	 */
	String mobile;
	/**
	 * E-mail
	 */
	String eMail;
	/**
	 * 身份证号
	 */
	String cardId;
	/**
	 * 客户组ID
	 */
	int groupId;
	
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeString(loginName);
		writeString(loginPwd);
		writeString(readOnlyPwd);
		writeString(realName);
		writeString(province);
		writeString(city);
		writeString(addr);
		writeLong(birthday==null? 0 : birthday.getTime());
		writeString(zipCode);
		writeString(phone);
		writeString(mobile);
		writeString(eMail);
		writeString(cardId);
		writeInt(groupId);
	}

	public int getCommandCode() {
		return PidConst.P10091;
	}

	public MB10091(String loginName, String loginPwd, String readOnlyPwd,
			String realName, String province, String city, String addr,
			Date birthday, String zipCode, String phone, String mobile,
			String eMail, String cardId, int groupId) {
		super();
		this.loginName = loginName;
		this.loginPwd = loginPwd;
		this.readOnlyPwd = readOnlyPwd;
		this.realName = realName;
		this.province = province;
		this.city = city;
		this.addr = addr;
		this.birthday = birthday;
		this.zipCode = zipCode;
		this.phone = phone;
		this.mobile = mobile;
		this.eMail = eMail;
		this.cardId = cardId;
		this.groupId = groupId;
	}
}
