/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.online.OnlineConst;
import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 检测客户用户名请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB10111 extends BaseWebTraderField{

	/**
	 * 用户类型，只能是OnlineConst.USER_TYPE_CUSTOMER
	 */
	byte userType = OnlineConst.USER_TYPE_CUSTOMER;
	/**
	 * 客户登陆名
	 */
	String loginName;
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeByte(userType);
		writeString(loginName);
	}

	public int getCommandCode() {
		return PidConst.P10111;
	}

	public MB10111(String loginName) {
		super();
		this.loginName = loginName;
	}
}
