/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.UnloginAble;

/**
 * 客户登录确认踢人请求
 * @author JerryZ 
 * 2009-6-16 下午 08:01:33
 */
public class MB10221 extends BaseWebTraderField implements UnloginAble{
	/**
	 * 登陆令牌
	 */
	String loginKey;
	@Override
	protected void readCommandBody() {
		
	}

	public MB10221() {
	}

	public String getLoginKey() {
		return loginKey;
	}

	public void setLoginKey(String loginKey) {
		this.loginKey = loginKey;
	}

	@Override
	protected void writeCommandBody() {
		writeString(loginKey);
	}

	public int getCommandCode() {
		return PidConst.P10221;
	}

	public MB10221(String loginKey) {
		this.loginKey = loginKey;
	}
}
