/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 历史行情通用回包
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB12052 extends BaseWebTraderField{

	/**
	 * 通用返回码
	 */
	int rtnCode;
	/**
	 * 0为修改或删除,不为0则为增加后的ID
	 */
	int queryId;
	
	@Override
	protected void readCommandBody() {
		rtnCode = readInt();
		queryId = readInt();
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P12052;
	}

	public int getQueryId() {
		return queryId;
	}

	public void setQueryId(int queryId) {
		this.queryId = queryId;
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}
}
