/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.SymbolSwitch;

/**
 * 行情开关
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB12071 extends BaseWebTraderField{
	List<SymbolSwitch> switchList = null;
	
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeShort((short)switchList.size());
		for(int i=0; i<switchList.size(); i++){
			writeInt(switchList.get(i).getSymbolId());
			writeBoolean(switchList.get(i).isOnOff());
		}
	}

	public int getCommandCode() {
		return PidConst.P12071;
	}

	public List<SymbolSwitch> getSwitchList() {
		return switchList;
	}

	public void setSwitchList(List<SymbolSwitch> switchList) {
		this.switchList = switchList;
	}

	public MB12071(List<SymbolSwitch> switchList) {
		super();
		this.switchList = switchList;
	}
}
