/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.ArrayList;
import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 股票行情查询请求
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB12161 extends BaseWebTraderField{
	/**
	 * 商品ID列表
	 */
	List<Integer> stockIdList = new ArrayList<Integer>();
	
	public MB12161(List<Integer> stockIdList){
		this.stockIdList = stockIdList;
	}
	
	@Override
	protected void writeCommandBody() {
		writeShort((short)stockIdList.size());		//查询条件数量1
		for(int i=0; i<stockIdList.size(); i++){
			writeInt(stockIdList.get(i));
		}
	}


	@Override
	protected void readCommandBody() {
		
	}


	@Override
	public int getCommandCode() {
		return PidConst.P12161;
	}
}
