/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.HashMap;
import java.util.Map;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 基本信息查询应答
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB13012 extends BaseWebTraderField{
	Map<String, MB13012> sysConfigs = new HashMap<String, MB13012>();
	/**
	 * 配置名
	 */
	String configKey;
	/**
	 * 配置值
	 */
	String configValue;
	/**
	 * 注释
	 */
	String comment;
	@Override
	protected void readCommandBody() {
		int size = readShort();
		for(int i=0; i<size; i++) {
			MB13012 config = new MB13012();
			readBoolean();						// ReadFlag
			config.setConfigKey(readString());	// ConfigKey
			config.setConfigValue(readString());// ConfigValue
			readBoolean();						// ActiveFlag
			config.setComment(readString());	// Comment
			sysConfigs.put(config.getConfigKey(), config);
		}
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P13012;
	}

	public Map<String, MB13012> getSysConfigs() {
		return sysConfigs;
	}

	public void setSysConfigs(Map<String, MB13012> sysConfigs) {
		this.sysConfigs = sysConfigs;
	}

	public String getConfigKey() {
		return configKey;
	}

	public void setConfigKey(String configKey) {
		this.configKey = configKey;
	}

	public String getConfigValue() {
		return configValue;
	}

	public void setConfigValue(String configValue) {
		this.configValue = configValue;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public MB13012() {
		super();
	}

	@Override
	public String toString() {
		return "MB13012 [sysConfigs=" + sysConfigs + ", configKey=" + configKey + ", configValue=" + configValue
				+ ", comment=" + comment + "]";
	}
	
}
