package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 商品查询(请求)
 * @author Teng
 *
 */
public class MB13031 extends BaseWebTraderField {
	/**
	 * 商品id，传0查所有
	 */
	private int symbolId;
	
	/**
	 * @param symbolId
	 */
	public MB13031(int symbolId) {
		super();
		this.symbolId = symbolId;
	}

	@Override
	protected void readCommandBody() {
	}

	@Override
	protected void writeCommandBody() {
		writeInt(symbolId);
	}

	@Override
	public int getCommandCode() {
		return PidConst.P13031;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

}
