/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.HashMap;
import java.util.Map;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 交易次数查询应答
 * @since skyfall v1.0
 * @author Jerry Zhang <BR>
 * 2013-1-4 下午02:24:55
 */
public class MB13492 extends BaseWebTraderField{
	
	Map<Integer, Integer> rtMap = new HashMap<Integer, Integer>();
	
	@Override
	protected void readCommandBody() {
		int size = readShort();
		for (int i = 0; i < size; i++) {
			rtMap.put(readInt(), readInt());
		}
	}

	@Override
	protected void writeCommandBody() {}

	@Override
	public int getCommandCode() {
		return PidConst.P13492;
	}

	public Map<Integer, Integer> getRtMap() {
		return rtMap;
	}
}
