package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB13671 extends BaseWebTraderField{

	int CngoldId;
	
	long beginTime;
	
	long endTime;
	
	String orderTypes;
	
	int beginPosition;
	
	int limit;
	
	String orderBy;
	
	String sequenceType;
	
	@Override
	public int getCommandCode() {
		return PidConst.P13671;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(CngoldId);
		writeLong(beginTime);
		writeLong(endTime);
		writeString(orderTypes);
		writeInt(beginPosition);
		writeInt(limit);
		writeString(orderBy);
		writeString(sequenceType);
	}

	public int getCngoldId() {
		return CngoldId;
	}

	public void setCngoldId(int cngoldId) {
		CngoldId = cngoldId;
	}

	public long getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(long beginTime) {
		this.beginTime = beginTime;
	}

	public long getEndTime() {
		return endTime;
	}

	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}

	public String getOrderTypes() {
		return orderTypes;
	}

	public void setOrderTypes(String orderTypes) {
		this.orderTypes = orderTypes;
	}

	public int getBeginPosition() {
		return beginPosition;
	}

	public void setBeginPosition(int beginPosition) {
		this.beginPosition = beginPosition;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getSequenceType() {
		return sequenceType;
	}

	public void setSequenceType(String sequenceType) {
		this.sequenceType = sequenceType;
	}

	public MB13671(int cngoldId, long beginTime, long endTime, String orderTypes, int beginPosition, int limit,
			String orderBy, String sequenceType) {
		super();
		CngoldId = cngoldId;
		this.beginTime = beginTime;
		this.endTime = endTime;
		this.orderTypes = orderTypes;
		this.beginPosition = beginPosition;
		this.limit = limit;
		this.orderBy = orderBy;
		this.sequenceType = sequenceType;
	}

	public MB13671() {
		super();
	}

	
}
