/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.Date;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 修改自己的密码
 * @author JerryZ 
 * 2009-6-18 下午01:36:23
 *
 */
public class MB15261 extends BaseWebTraderField{
	int groupId;
	String realName;
	String province;
	String city;
	String addr;
	Date birthday;
	String zipCode;
	String phone;
	String mobile;
	String eMail;
	String cardId;
	String memo4loginname;
	int userId;
	
	@Override
	protected void readCommandBody() {
		realName = readString();
		readString();//Login_pwd,null
		readString();//Trade_pwd,null
		userId = readInt();
		readInt(); // Agent_id
		groupId = readInt();
		realName = readString();
		
		
		province = readString();
		city = readString();
		addr = readString();
		birthday = new Date(readLong());
		zipCode = readString();
		phone = readString();
		mobile = readString();
		eMail = readString();
		cardId = readString();
		memo4loginname = readString();
		readInt();
		readFloatD();
		readString();
		readBoolean();
		readBoolean();
	}

	@Override
	protected void writeCommandBody() {
		writeString(realName);	//Login_name
		writeString(null);	//Login_pwd
		writeString(null);	//Trade_pwd
		writeInt(userId);		//User_id 100 admin写死
		writeInt(100);		//Agent_id 100 总部写死
		writeInt(groupId);
		writeString(realName);
		writeString(province);
		writeString(city);
		writeString(addr);
		writeLong(birthday == null ? 0 : birthday.getTime());
		writeString(zipCode);
		writeString(phone);
		writeString(mobile);
		writeString(eMail);
		writeString(cardId);
		writeByte((byte)0);	//状态: 正常
		writeString(null);	//Bg_color 空，无颜色
		writeString(memo4loginname);	//Bg_color 空，无颜色
		writeInt(1);		//Leverage 杠杆 1
		writeFloatD(10d);	//Tax_percent 税率 10数据库里存的都是这个值
		writeString("10086");	//Agent_accnt 代理账号, 忘了是啥了, 反正都是10086
		writeBoolean(true);	//Change_pwd  是否可以修改密码, 可以, 反正这个密码没什么用
		writeBoolean(false);//Readable 只读账号, 否
	}

	public int getCommandCode() {
		return PidConst.P15261;
	}

	public int getGroupId() {
		return groupId;
	}

	public void setGroupId(int groupId) {
		this.groupId = groupId;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getAddr() {
		return addr;
	}

	public void setAddr(String addr) {
		this.addr = addr;
	}

	public Date getBirthday() {
		return birthday;
	}

	public void setBirthday(Date birthday) {
		this.birthday = birthday;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String geteMail() {
		return eMail;
	}

	public void seteMail(String eMail) {
		this.eMail = eMail;
	}

	public String getCardId() {
		return cardId;
	}

	public void setCardId(String cardId) {
		this.cardId = cardId;
	}

	public String getMemo4loginname() {
		return memo4loginname;
	}

	public void setMemo4loginname(String memo4loginname) {
		this.memo4loginname = memo4loginname;
	}
	
	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public MB15261(int groupId, String realName, String province, String city,
			String addr, Date birthday, String zipCode, String phone,
			String mobile, String eMail, String cardId, String memo4loginname, int userId) {
		super();
		this.groupId = groupId;
		this.realName = realName;
		this.province = province;
		this.city = city;
		this.addr = addr;
		this.birthday = birthday;
		this.zipCode = zipCode;
		this.phone = phone;
		this.mobile = mobile;
		this.eMail = eMail;
		this.cardId = cardId;
		this.userId = userId;
		this.memo4loginname = memo4loginname;
	}
}
