/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.ArrayList;
import java.util.List;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 客户复位请求
 * 
 * @author JerryZ 下午07:15:17
 * 
 */
public class MB15591 extends BaseWebTraderField {
	List<Integer> custIds;
	
	
	
	public MB15591(int custId) {
		this.custIds = new ArrayList<Integer>();
		custIds.add(custId);
	}

	@Override
	protected void readCommandBody() {}

	@Override
	protected void writeCommandBody() {
		if(custIds == null || custIds.size() == 0){
			writeShort((short)0);
		}else{
			writeShort((short)custIds.size());
			for (int i = 0; i < custIds.size(); i++) {
				writeInt(custIds.get(0));
			}
			
		}
	}

	@Override
	public int getCommandCode() {
		return PidConst.P15591;
	}
}
