/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import java.util.Date;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 账号开通应答<BR>
 * @since skyfall v1.0
 * @author Jerry Zhang <BR>
 * 2012-12-31 下午02:48:40
 */
public class MB15702 extends BaseWebTraderField{
	int opCode;
	int rtnCode;
	double accntInit;
	Date regTime;
	int custId;
	int accntId;
	
	@Override
	protected void readCommandBody() {
		opCode = readInt();
		rtnCode = readInt();
		accntInit = readFloatD();
		long time = readLong();
		regTime = new Date(time);
		custId = readInt();
		accntId = readInt();
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P15702;
	}

	public int getOpCode() {
		return opCode;
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

	public double getAccntInit() {
		return accntInit;
	}

	public Date getRegTime() {
		return regTime;
	}

	public int getCustId() {
		return custId;
	}

	public int getAccntId() {
		return accntId;
	}
	
}
