package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 通用回包(应答)
 * @author defier Lai
 *
 * 2008-9-19 下午07:17:23
 */
public class MB15992 extends BaseWebTraderField {
	int opCode;
	int rtnCode;
	int queryId;
	
	@Override
	protected void readCommandBody() {
		opCode = readInt();
		rtnCode = readInt();
		queryId = readInt();
	}

	@Override
	protected void writeCommandBody() {
		
	}

	@Override
	public int getCommandCode() {
		return PidConst.P15992;
	}

	public int getOpCode() {
		return opCode;
	}

	public void setOpCode(int opCode) {
		this.opCode = opCode;
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

	public int getQueryId() {
		return queryId;
	}

	public void setQueryId(int queryId) {
		this.queryId = queryId;
	}
}
