/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 请求被接受
 * @author JerryZ 
 * 2009-6-17 下午04:00:18
 *
 */
public class MB20012 extends BaseWebTraderField{
	/**
	 * 返回码，1：接受交易请求
	 */
	int returnCode;
	/**
	 * 请求ID
	 */
	int askId;
	/**
	 * 账户Id
	 */
	int accntId;
	/**
	 * 新单Id，无新单则添0
	 */
	int toSendNewOrderId;
	
	int cngoldId;
	
	int symbolId;
	
	double lots;
	
	double price;
	
	String vouchers;
	
	@Override
	protected void readCommandBody() {
		returnCode = readInt();
		askId = readInt();
		accntId = readInt();
		toSendNewOrderId = readInt();
		symbolId = readInt();
		cngoldId = readInt();
		vouchers = readString();
		lots = readDouble();
		price = readDouble();
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return PidConst.P20012;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public int getAskId() {
		return askId;
	}

	public void setAskId(int askId) {
		this.askId = askId;
	}

	public int getReturnCode() {
		return returnCode;
	}

	public void setReturnCode(int returnCode) {
		this.returnCode = returnCode;
	}

	public int getToSendNewOrderId() {
		return toSendNewOrderId;
	}

	public void setToSendNewOrderId(int toSendNewOrderId) {
		this.toSendNewOrderId = toSendNewOrderId;
	}

	public int getCngoldId() {
		return cngoldId;
	}

	public void setCngoldId(int cngoldId) {
		this.cngoldId = cngoldId;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public double getLots() {
		return lots;
	}

	public void setLots(double lots) {
		this.lots = lots;
	}

	public double getPrice() {
		return price;
	}

	public void setPrice(double price) {
		this.price = price;
	}

	public String getVouchers() {
		return vouchers;
	}

	public void setVouchers(String vouchers) {
		this.vouchers = vouchers;
	}

}
