package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB20312 extends BaseWebTraderField{

	/**
	 * 错误码
	 * */
	int rtnCode;
	/**
	 * 单子ID
	 * */
	int orderId;
	/**
	 * 手数
	 * */
	double lots;
	/**
	 * 客户id
	 * */
	int accntId;
	
	double close_prc;
	
	double draft_prc;
	
	double loss_prc;
	
	double open_prc;
	
	double profit_loss;
	
	double profit_prc;
	
	int order_status;
	
	int order_type;
	
	int smbl_id;
	
	long open_time;
	
	long close_time;
	
	@Override
	public int getCommandCode() {
		return PidConst.P20312;
	}

	@Override
	protected void readCommandBody() {
		rtnCode = readInt();
		orderId = readInt();
		accntId = readInt();
		lots = readDouble();
		close_prc = readDouble();
		draft_prc = readDouble();
		loss_prc = readDouble();
		open_prc = readDouble();
		profit_loss = readDouble();
		profit_prc = readDouble();
		order_status = readInt();
		order_type = readInt();
		smbl_id = readInt();
		open_time = readLong();
		close_time = readLong();
	}

	@Override
	protected void writeCommandBody() {
		
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public double getLots() {
		return lots;
	}

	public void setLots(double lots) {
		this.lots = lots;
	}

	public int getAccntId() {
		return accntId;
	}

	public void setAccntId(int accntId) {
		this.accntId = accntId;
	}

	public double getClose_prc() {
		return close_prc;
	}

	public void setClose_prc(double close_prc) {
		this.close_prc = close_prc;
	}

	public double getDraft_prc() {
		return draft_prc;
	}

	public void setDraft_prc(double draft_prc) {
		this.draft_prc = draft_prc;
	}

	public double getLoss_prc() {
		return loss_prc;
	}

	public void setLoss_prc(double loss_prc) {
		this.loss_prc = loss_prc;
	}

	public double getOpen_prc() {
		return open_prc;
	}

	public void setOpen_prc(double open_prc) {
		this.open_prc = open_prc;
	}

	public double getProfit_loss() {
		return profit_loss;
	}

	public void setProfit_loss(double profit_loss) {
		this.profit_loss = profit_loss;
	}

	public double getProfit_prc() {
		return profit_prc;
	}

	public void setProfit_prc(double profit_prc) {
		this.profit_prc = profit_prc;
	}

	public int getOrder_status() {
		return order_status;
	}

	public void setOrder_status(int order_status) {
		this.order_status = order_status;
	}

	public int getOrder_type() {
		return order_type;
	}

	public void setOrder_type(int order_type) {
		this.order_type = order_type;
	}

	public int getSmbl_id() {
		return smbl_id;
	}

	public void setSmbl_id(int smbl_id) {
		this.smbl_id = smbl_id;
	}

	public long getOpen_time() {
		return open_time;
	}

	public void setOpen_time(long open_time) {
		this.open_time = open_time;
	}

	public long getClose_time() {
		return close_time;
	}

	public void setClose_time(long close_time) {
		this.close_time = close_time;
	}

}
