package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.PidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 金元券取消挂单请求
* @author liuming
* @date 2016年11月18日
 */
public class MB20341 extends BaseWebTraderField{
	/**
	 * 请求ID
	 */
	int askId;
	/**
	 * cngoldID
	 */
	int cngoldId;
	/**
	 * 商品ID
	 */
	int symbolId;
	/**
	 * 对应单号
	 */
	int orderId;
	
	short order_type;
	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(askId);
		writeInt(cngoldId);
		writeInt(symbolId);
		writeInt(orderId);
		writeShort((short)-1);
	}

	public int getCommandCode() {
		return PidConst.P20341;
	}

	public int getAskId() {
		return askId;
	}

	public void setAskId(int askId) {
		this.askId = askId;
	}

	public int getCngoldId() {
		return cngoldId;
	}

	public void setCngoldId(int cngoldId) {
		this.cngoldId = cngoldId;
	}

	public int getSymbolId() {
		return symbolId;
	}

	public void setSymbolId(int symbolId) {
		this.symbolId = symbolId;
	}

	public int getOrderId() {
		return orderId;
	}

	public void setOrderId(int orderId) {
		this.orderId = orderId;
	}

	public MB20341(int askId, int cngoldId, int symbolId, int orderId) {
		super();
		this.askId = askId;
		this.cngoldId = cngoldId;
		this.symbolId = symbolId;
		this.orderId = orderId;
	}

	public MB20341() {
		super();
	}

}
