package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
/**
 * 金元券提现请求
 * 
 * @author hht
 * */
public class MB23091 extends BaseWebTraderField{

	private int CngoldId;
	private String BankNum;
	private double Balance;
	private String ReqReason;
	//private int WithdrawalType;
	
	@Override
	public int getCommandCode() {
		return TidConst.T23091;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(CngoldId);
		writeString(BankNum);
		writeDouble(Balance);
		writeString(ReqReason);
		//writeInt(WithdrawalType);
	}

	public int getCngoldId() {
		return CngoldId;
	}

	public void setCngoldId(int cngoldId) {
		CngoldId = cngoldId;
	}

	public String getBankNum() {
		return BankNum;
	}

	public void setBankNum(String bankNum) {
		BankNum = bankNum;
	}

	public double getBalance() {
		return Balance;
	}

	public void setBalance(double balance) {
		Balance = balance;
	}

	public String getReqReason() {
		return ReqReason;
	}

	public void setReqReason(String reqReason) {
		ReqReason = reqReason;
	}

	/*public int getWithdrawalType() {
		return WithdrawalType;
	}

	public void setWithdrawalType(int withdrawalType) {
		WithdrawalType = withdrawalType;
	}*/

	
	public MB23091(int cngoldId, String bankNum,double balance, String reqReason) {
		super();
		CngoldId = cngoldId;
		BankNum = bankNum;
		Balance = balance;
		ReqReason = reqReason;
	}

	public MB23091() {
		super();
	}

}
