package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB23101 extends BaseWebTraderField{

	private int CngoldId;
	private int reqId;
	private int status;
	private String dealReason;
	private String Assessor;
	
	@Override
	public int getCommandCode() {
		return TidConst.T23101;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(CngoldId);
		writeInt(reqId);
		writeInt(status);
		writeString(dealReason);
		writeString(Assessor);
	}

	public int getCngoldId() {
		return CngoldId;
	}

	public void setCngoldId(int cngoldId) {
		CngoldId = cngoldId;
	}

	public int getReqId() {
		return reqId;
	}

	public void setReqId(int reqId) {
		this.reqId = reqId;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getDealReason() {
		return dealReason;
	}

	public void setDealReason(String dealReason) {
		this.dealReason = dealReason;
	}

	public String getAssessor() {
		return Assessor;
	}

	public void setAssessor(String assessor) {
		Assessor = assessor;
	}

	public MB23101() {
		super();
	}

	public MB23101(int cngoldId,int reqId, int status, String dealReason, String assessor) {
		super();
		this.CngoldId = cngoldId;
		this.reqId = reqId;
		this.status = status;
		this.dealReason = dealReason;
		Assessor = assessor;
	}

}
