package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.CustBalanceReq;

public class MB23102 extends BaseWebTraderField{

	private CustBalanceReq cbr;
	
	private int rtnCode;
	
	@Override
	public int getCommandCode() {
		return TidConst.T23102;
	}

	@Override
	protected void readCommandBody() {
		rtnCode = readInt();
		cbr = new CustBalanceReq();
		cbr.setReqId(readInt());
		cbr.setCustId(readInt());
		cbr.setAccntId(readInt());
		cbr.setBankId(readInt());
		cbr.setStatus(readInt());
		cbr.setWithdrawal_type(readInt());
		cbr.setAssessor(readString());
		cbr.setAccept_dt(readString());
		cbr.setDeal_reason(readString());
		cbr.setSerial_num(readString());
		cbr.setReq_dt(readString());
		cbr.setBalance(readDouble());
		cbr.setBankNum(readString());
	}

	public MB23102() {
		super();
	}

	@Override
	protected void writeCommandBody() {
		
	}

	public CustBalanceReq getCbr() {
		return cbr;
	}

	public void setCbr(CustBalanceReq cbr) {
		this.cbr = cbr;
	}

	public int getRtnCode() {
		return rtnCode;
	}

	public void setRtnCode(int rtnCode) {
		this.rtnCode = rtnCode;
	}

}
