package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.webtrade.sdk.TidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

public class MB23201 extends BaseWebTraderField{

	private int CngoldId;
	private int ReqId;
	private int Status;
	private String ReqDate;
	private int limit;
	private String Esc;
	private int BeginNum;
	private String OrderBy;
	
	@Override
	public int getCommandCode() {
		return TidConst.T23201;
	}

	@Override
	protected void readCommandBody() {
		
	}

	@Override
	protected void writeCommandBody() {
		writeInt(CngoldId);
		writeInt(ReqId);
		writeInt(Status);
		writeString(ReqDate);
		writeInt(limit);
		writeString(Esc);
		writeInt(BeginNum);
		writeString(OrderBy);
	}

	public int getCngoldId() {
		return CngoldId;
	}

	public void setCngoldId(int cngoldId) {
		CngoldId = cngoldId;
	}

	public int getStatus() {
		return Status;
	}

	public void setStatus(int status) {
		this.Status = status;
	}

	public String getReqDate() {
		return ReqDate;
	}

	public void setReqDate(String reqDate) {
		this.ReqDate = reqDate;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public String getEsc() {
		return Esc;
	}

	public void setEsc(String esc) {
		this.Esc = esc;
	}

	public int getBeginNum() {
		return BeginNum;
	}

	public void setBeginNum(int beginNum) {
		this.BeginNum = beginNum;
	}

	public String getOrderBy() {
		return OrderBy;
	}

	public void setOrderBy(String orderBy) {
		OrderBy = orderBy;
	}

	public int getReqId() {
		return ReqId;
	}

	public void setReqId(int reqId) {
		ReqId = reqId;
	}

	public MB23201() {
		super();
	}

	public MB23201(int cngoldId, int reqId, int status, String reqDate, int limit, String esc, int beginNum,
			String orderBy) {
		super();
		CngoldId = cngoldId;
		ReqId = reqId;
		Status = status;
		ReqDate = reqDate;
		this.limit = limit;
		Esc = esc;
		BeginNum = beginNum;
		OrderBy = orderBy;
	}

	
}
