/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 修改金元券请求，如果传递非法值不会做数据更新但依然会返回成功
 * created at 2016/10/26 18:27
 * @author vncnliu
 * @since default 1.0.0
 */

public class MB26051 extends BaseWebTraderField {

	/**
	 * 状态<br>
	 * 见枚举{@link com.lmsoft.cornu.common.EnumCode.VouchersStatus com.lmsoft.cornu.common.EnumCode.VouchersStatus}
	 */
	private short status;
	/**
	 * 过期时间
	 */
	private long expire_time;
	/**
	 * 要修改的金圆券id
	 */
	private int voucher_id;

	@Override
	protected void readCommandBody() {

	}

	@Override
	protected void writeCommandBody() {
		writeShort(status);
		writeLong(expire_time);
		writeInt(voucher_id);
	}

	public int getCommandCode() {
		return CommonTidConst.T26051;
	}

	public short getStatus() {
		return status;
	}

	public void setStatus(short status) {
		this.status = status;
	}

	public long getExpire_time() {
		return expire_time;
	}

	public void setExpire_time(long expire_time) {
		this.expire_time = expire_time;
	}

	public int getVoucher_id() {
		return voucher_id;
	}

	public void setVoucher_id(int voucher_id) {
		this.voucher_id = voucher_id;
	}
}
