/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 查找金元券来源请求
 * created at 2016/10/26 18:27
 * @author vncnliu
 * @since default 1.0.0
 */

public class MB26081 extends BaseWebTraderField {

	/**
     * voucher_source_id
	 */
	private int id;
	/**
	 * 描述voucher_source_id
	 */
	private String comment;
	/**
	 * 删除标识
	 */
	private byte delete_flag;

	@Override
	protected void readCommandBody() {

	}

	@Override
	protected void writeCommandBody() {
		writeInt(id);
		writeString(comment);
		writeByte(delete_flag);
	}

	public int getCommandCode() {
		return CommonTidConst.T26081;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public byte getDelete_flag() {
		return delete_flag;
	}

	public void setDelete_flag(byte delete_flag) {
		this.delete_flag = delete_flag;
	}
}
