package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;
import com.lmsoft.cornu.webtrade.sdk.message.bean.VoucherSourceBean;

import java.util.ArrayList;
import java.util.List;

/**
 * 查询金元券来源返回
 * created at 2016/10/26 18:27
 * @author vncnliu
 * @since default 1.0.0
 */

public class MB26082 extends BaseWebTraderField {

	/**
	 * 返回码
	 */
	private int code;
	/**
	 * 返回信息
	 */
	private String msg;
	private int count;
	private List<VoucherSourceBean> voucherSourceBeanList;

	@Override
	protected void readCommandBody() {
		code = readInt();
		msg = readString();
		count = readInt();
		voucherSourceBeanList =new ArrayList<VoucherSourceBean>();
		int length = readInt();
		for (int i = 0; i < length; i++) {
			VoucherSourceBean voucherSourceBean = new VoucherSourceBean();
			voucherSourceBean.setId(readInt());
			voucherSourceBean.setComment(readString());
			voucherSourceBean.setDelete_flag(readByte());
			voucherSourceBeanList.add(voucherSourceBean);
		}
	}

	@Override
	protected void writeCommandBody() {
	}

	public int getCommandCode() {
		return CommonTidConst.R26081;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public List<VoucherSourceBean> getVoucherSourceBeanList() {
		return voucherSourceBeanList;
	}

	public void setVoucherSourceBeanList(List<VoucherSourceBean> voucherSourceBeanList) {
		this.voucherSourceBeanList = voucherSourceBeanList;
	}
}
