package com.lmsoft.cornu.webtrade.sdk.message.all;

import com.lmsoft.cornu.common.CommonTidConst;
import com.lmsoft.cornu.webtrade.sdk.message.BaseWebTraderField;

/**
 * 修改金元券来源，如果传递非法值不会做数据更新但依然会返回成功
 * created at 2016/10/26 18:27
 * @author vncnliu
 * @since default 1.0.0
 */

public class MB26101 extends BaseWebTraderField {

	/**
     * voucher_type_id
	 */
	int id;
	/**
	 * 描述
	 */
	private String comment;

	@Override
	protected void readCommandBody() {
	}

	@Override
	protected void writeCommandBody() {
		writeInt(id);
		writeString(comment);
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getCommandCode() {
		return CommonTidConst.T26101;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}
}
