/**
 * 
 */
package com.lmsoft.cornu.webtrade.sdk.message.bean;

/**
 * @author JerryZ 
 * 2009-6-18 上午11:34:09
 * 
 */
public class StockTag {

	public final static int STOCK_TYPE_TAG = 1;
	public final static int STOCK_TYPE_SYMBOL = 2;
	//TAG类型1.TAG，2.商品ID
	int tagType;
	//
	int tagID;
	//标签名称
	String tagName;
	//商品ID
	int symbolId;
	//TS code
	String symbolCode;
	//商品名称
	String symbolName;
	//父节点
	int parentId;
	
	@Override
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("TAG类型:"+(tagType==STOCK_TYPE_TAG?"标签":"商品"));
		buffer.append(";ID:"+tagID);
		buffer.append(";tagName:"+tagName);
		buffer.append(";TS code:"+symbolCode);
		buffer.append(";商品名称:"+symbolName);
		buffer.append(";parentId:"+parentId);
		return buffer.toString();
	}
	
	public StockTag(int tagType,int tagID,int symbolId,String tagName,String symbolCode,String symbolName,int parentId){
		this.tagType = tagType;
		this.tagID = tagID;
		this.symbolId = symbolId;
		this.tagName = tagName;
		this.symbolCode = symbolCode;
		this.symbolName = symbolName;
		this.parentId = parentId;
	}

	public int getTagType() {
		return tagType;
	}

	public int getTagID() {
		return tagID;
	}

	public String getTagName() {
		return tagName;
	}

	public String getSymbolCode() {
		return symbolCode;
	}

	public String getSymbolName() {
		return symbolName;
	}

	public int getParentId() {
		return parentId;
	}

	public int getSymbolId() {
		return symbolId;
	}

}
